(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    381652,      10454]
NotebookOptionsPosition[    371722,      10157]
NotebookOutlinePosition[    372102,      10174]
CellTagsIndexPosition[    372059,      10171]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Quit", "[", "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.508755409347063*^9, 3.508755412111178*^9}, {
  3.509359618083904*^9, 3.509359618244153*^9}, {3.511078549197713*^9, 
  3.51107855202983*^9}, {3.548517567488236*^9, 3.54851757279426*^9}}],

Cell["\<\
We intend to perform the (D-1)+1 decomposition of Einstein\[CloseCurlyQuote]s \
equations using the xtensor package (J.M. Martin Garcia et al \
\[OpenCurlyQuote]02-\[OpenCurlyQuote]13) for mathematica.  The package can be \
downloaded here: http://www.xact.es/ 
This website also offers good documentation and example notebooks.\
\>", "Text",
 CellChangeTimes->{{3.571486994236559*^9, 3.571487060480845*^9}, {
  3.571487110272914*^9, 3.571487144425509*^9}, {3.572691288702155*^9, 
  3.572691321595433*^9}}],

Cell[CellGroupData[{

Cell["Loading xtensor", "Section",
 CellChangeTimes->{{3.509192873063336*^9, 3.509192880640576*^9}}],

Cell["\<\
Let\[CloseCurlyQuote]s start by loading the xtensor package into mathematica:\
\
\>", "Text",
 CellChangeTimes->{{3.571487148960648*^9, 3.5714871624265757`*^9}, 
   3.571487219258821*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "xAct/xTensor.m"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "xAct/ExpressionManipulation.m"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.506614860932121*^9, 3.506614869697944*^9}, {
   3.507035687673432*^9, 3.507035688602207*^9}, 3.507546232847082*^9, {
   3.507979310039011*^9, 3.507979320390522*^9}, {3.5714871903158617`*^9, 
   3.571487190935259*^9}}],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGAwAeKDTYz3pJVeOXq3zgmTAdKWYeZlIDrndXItiP4afbQH
RN+SluaXBdLHFi3WrgHSwo9+rK0H0gujv8g0AOm+/RFX3gPpRofY9g9Aevbn
uZe8lF85BphPr85WeeWYPidNQED1lWPWDG05RyC95cTuxklA+l9d2BRrNSCf
z1xmP5CWmeEeaaX+ytGfefKMFCCdbnbCaAuQXm4bde0RkA5ty5Fo0XjlOOXA
RJ/1QHqdNvuVm0D6zJa8+ayarxx1RcQzpwDpgrtOvtuBdNml3Ms6Wq8cXbrM
vxoBadn+8F+RQFryafU1Ru1Xjk7/EtYzAWmdlTwbWYC04MdNP4OA9L9w/YXe
eq8c/dZ25B8yfOXoFbtD5TWQ7v2XcvkdkL76/cI7SaNXjnVPFtbIAukVSaJT
nApeOar8VJ4Jog1z5aslC185Ln5x13j+7FeOWh48C0D0grsbYrnnvHI8Lnud
TQBIx/oL2ggB6ZA5K8KFgXSHiM3q20BaS8rUIG7eK0cAedHC6w==
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xPerm`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.1.3\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2012", ",", "5", ",", "5"}], "}"}]}],
  SequenceForm["Package xAct`xPerm`  version ", "1.1.3", ", ", {2012, 5, 5}],
  Editable->False]], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGAwAeKDTYz3pJVeOXq3zgmTAdKWYeZlIDrndXItiP4afbQH
RN+SluaXBdLHFi3WrgHSwo9+rK0H0gujv8g0AOm+/RFX3gPpRofY9g9Aevbn
uZe8lF85BphPr85WeeWYPidNQED1lWPWDG05RyC95cTuxklA+l9d2BRrNSCf
z1xmP5CWmeEeaaX+ytGfefKMFCCdbnbCaAuQXm4bde0RkA5ty5Fo0XjlOOXA
RJ/1QHqdNvuVm0D6zJa8+ayarxx1RcQzpwDpgrtOvtuBdNml3Ms6Wq8cXbrM
vxoBadn+8F+RQFryafU1Ru1Xjk7/EtYzAWmdlTwbWYC04MdNP4OA9L9w/YXe
eq8c/dZ25B8yfOXoFbtD5TWQ7v2XcvkdkL76/cI7SaNXjnVPFtbIAukVSaJT
nApeOar8VJ4Jog1z5aslC185Ln5x13j+7FeOWh48C0D0grsbYrnnvHI8Lnud
TQBIx/oL2ggB6ZA5K8KFgXSHiM3q20B6xSVTg7h5rxwBgsnEIQ==
  "]],

Cell[BoxData["\<\"CopyRight (C) 2003-2011, Jose M. Martin-Garcia, under the \
General Public License.\"\>"], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGAwAeKDTYz3pJVeOXq3zgmTAdKWYeZlIDrndXItiP4afbQH
RN+SluaXBdLHFi3WrgHSwo9+rK0H0gujv8g0AOm+/RFX3gPpRofY9g9Aevbn
uZe8lF85BphPr85WeeWYPidNQED1lWPWDG05RyC95cTuxklA+l9d2BRrNSCf
z1xmP5CWmeEeaaX+ytGfefKMFCCdbnbCaAuQXm4bde0RkA5ty5Fo0XjlOOXA
RJ/1QHqdNvuVm0D6zJa8+ayarxx1RcQzpwDpgrtOvtuBdNml3Ms6Wq8cXbrM
vxoBadn+8F+RQFryafU1Ru1Xjk7/EtYzAWmdlTwbWYC04MdNP4OA9L9w/YXe
eq8c/dZ25B8yfOXoFbtD5TWQ7v2XcvkdkL76/cI7SaNXjnVPFtbIAukVSaJT
nApeOar8VJ4Jog1z5aslC185Ln5x13j+7FeOWh48C0D0grsbYrnnvHI8Lnud
TQBIx/oL2ggB6ZA5K8KFgXSHiM3q20D6yyNTg7h5rxwBhZnEfQ==
  "]],

Cell[BoxData["\<\"Connecting to external linux executable...\"\>"], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->CompressedData["
1:eJwVx1kowwEcwPHN+UDMFWsbYc45R5ar/JYid2JzNMmZmxcvc+dKjrAyGTYe
kJytKA+Ocjx4kDM0D6L0U46Q42H5/R++ffq6F9VllrJZLFY4tdvBvuN5ICR3
aWR8MlImaWSsfi5uZvzK3+9nvOHxbAXkwcysqIl0uP9ZaiV1+Z/8NnJwO+f8
lWyPU/S8kRMfk6dJnggZkjFllRChXFPG4XghVKpFrkDqj7baR0hji0wV7U1v
I+Fvk3x1Qm6UD0K66ai6hCyPOBLrybnYvMt7Mru72qXTF0G1M5yyQi6LLM+v
yWN97bS5H0Kgo3OFiqw3SFM3yMbTmrMAf4T4PsmXmBQMyf9ySe6j8pItQpAa
C1dMyIAF6zUz0u59/TeTNMqDdclBCGlLvXV7oQhJik3hMzlgLDl7IS++T164
YoSWB12TgJwvclJJ6xGEv57jjKE1bkpuA8LskyFsegLBP9Fay6g1rCqsNAiH
gisLDqlIt4uxJ7M083IHstcxZvGW1LZGhBRMIfwDgErDxw==
  "]],

Cell[BoxData["\<\"Connection established.\"\>"], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->CompressedData["
1:eJwVx1kowwEcwPHN+UDMFWsbYc45R5ar/JYid2JzNMmZmxcvc+dKjrAymWM8
IM3VivLgKMeDBzlD8yBKP+UIOR6W3//h26eve1FdZimbxWKFU7sd7DueB0Jy
l0bGJyNlkkbG6ufiZsav/P1+xhsez1ZAHszOiZpIh/sfXSupzf/kt5GD2znn
r2R7nKLnjZz4mDxN8kTIkIwpq4QI5ZoyDscLoVItcgVSf7TVPkIaW2SqaG96
Gwl/m+SrE3KjfBDSTUfVJWR5xJFYT87H5l3ek9nd1S6dvgiqneGUFXJZZHl+
TR7ra6fN/RACHZ0rVGS9QZq6QTae1pwF+CPE90m+xKRgSP6XS3IflZdsEYLU
WLhiQgYsWq+ZkXbv67+ZpFEerE0OQkjT9dbthSIkKTaFz+SAseTshbz4Pnnh
ihFaHrRNAnKhyEklrUcQ/nqOM4bWuCm5DQhzT4aw6QkE/0TrGcYZw6rCSoNw
KLiy4JCKdLsYezJLsyB3IHsdY5ZuyaiRiJCCKYR/fZ/DdA==
  "]],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->CompressedData["
1:eJwVx1kowwEcwPHN+UDMFWsbYc45R5ar/JYid2JzNMmZmxcvc+dKjrAyGTMe
kJytKA+Ocjx4kDM0D6L0U46Q42H5/R++ffq6F9VllrJZLFY4tdvBvuN5ICR3
aWR8MlImaWSsfi5uZvzK3+9nvOHxbAXkwcysqIl0uP9ZaiV1+Z/8NnJwO+f8
lWyPU/S8kRMfk6dJnggZkjFllRChXFPG4XghVKpFrkDqj7baR0hji0wV7U1v
I+Fvk3x1Qm6UD0K66ai6hCyPOBLrybnYvMt7Mru72qXTF0G1M5yyQi6LLM+v
yWN9rdbcDyHQ0blCRdYbpKkbZONpzVmAP0J8n+RLTAqG5H+5JPdReckWIUiN
hSsmZMCC9ZoZafe+/ptJGuXBuuQghLSl3rq9UIQkxabwmRwwlpy9kBffJy9c
MULLg65JQM4XOamk9QjCX89xxtAaNyW3AWH2yRCmnUDwT7SeZpw2rCqsNAiH
gisLDqlIt4uxJ7M083IHstcxZvGWeW1ESMEUwj9+ysOb
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`xTensor`  version \"\>", 
   "\[InvisibleSpace]", "\<\"1.0.4\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2012", ",", "5", ",", "5"}], "}"}]}],
  SequenceForm["Package xAct`xTensor`  version ", "1.0.4", ", ", {2012, 5, 5}],
  Editable->False]], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->CompressedData["
1:eJwVx1kowwEcwPHN+UDMFbONMOecI8tVfkuRO7E5muTMzYuXuXMlR1iZzDEe
kJytKA+Ocjx4kDM0D6L0U46Q42H5/R++ffq6FdZmlLBZLFYYtdvOvuO5IyR1
amR8MkImaWCsei5qYvzK2+9jvOHxrAXkwcysqJG0u/9ZaiG1eZ/8VnJgO/v8
lWyLVXS/keMfE6eJHgjpklFlpRChTFPK4XgiVKhFLkDqjrbahklDs0wV5UVv
JeFvk3x1fE6kN0Ka8Yi6mCwLPxLryLmY3Mt7MquryqnDB0G1M5S8Qi6LzM+v
yWNdzZSpL0KAvWO5iqzTS1M2yIbT6jN/P4S4XsmXmBQMyv9ySO6j8pItQpAa
ClaMSP8FyzUT0uZ9/TeDNMiDtEmBCKlLPbV7IQiJik3hM9lvKD57IS++T164
YoTmB22jgJwvdFBJ6xCEvx5jjCHVrkpuPcLskz50ahzBL8FymnFav6qw0CAc
Cq7MOKQizSbalszUzMvtyB776MVb0nk1PDh/EuEffXHDcg==
  "]],

Cell[BoxData["\<\"CopyRight (C) 2002-2011, Jose M. Martin-Garcia, under the \
General Public License.\"\>"], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->CompressedData["
1:eJwVx1kowwEcwPHN+UDMFWsbYc45R5ar/JYid2JzNMmZmxcvc+dKjrAymWM8
IM3VivLgKMeDBzlD8yBKP+UIOR6W3//h26eve1FdZimbxWKFU7sd7DueB0Jy
l0bGJyNlkkbG6ufiZsav/P1+xhsez1ZAHszOiZpIh/sfXSupzf/kt5GD2znn
r2R7nKLnjZz4mDxN8kTIkIwpq4QI5ZoyDscLoVItcgVSf7TVPkIaW2SqaG96
Gwl/m+SrE3KjfBDSTUfVJWR5xJFYT87H5l3ek9nd1S6dvgiqneGUFXJZZHl+
TR7ra6fN/RACHZ0rVGS9QZq6QTae1pwF+CPE90m+xKRgSP6XS3IflZdsEYLU
WLhiQgYsWq+ZkXbv67+ZpFEerE0OQkjT9dbthSIkKTaFz+SAseTshbz4Pnnh
ihFaHrRNAnKhyEklrUcQ/nqOM4bWuCm5DQhzT4aw6QkE/0TrGcYZw6rCSoNw
KLiy4JCKdLsYezJLsyB3IHsdY5Zuyb/diJCCKYR/hOjEYw==
  "]],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->CompressedData["
1:eJwVx1kowwEcwPHN+UDMFWsbYc45R5ar/JYid2JzNMmZmxcvc+dKjrAymWM8
IDlbUR4c5XjwIIbQPIjSTzlCjofl93/49unrXlSXWcpmsVjh1F4H+47ngZDc
pZHxyUiZpJGx+rm4mfEr/6Cf8YbHsxWQh7NzoibS4f5nuZXU5n/y28jBnRz9
K9kep+h5Iyc+Js+SPBEyJGPKKiFCuaaMw/FCqFSLXIHUHW+3j5DGFpkq2pve
RsLfIfnqhNwoH4R001F1CVkecSzWkfOxeZf3ZHZ3tUunL4JqdzhllVwRWeqv
yRNd7bS5H0Kgo3OFiqw3SFM3ycazmvMAf4T4PsmXmBQMyf9ySe6j8pItQpAa
C1dNyIBF63Uz0u594zeTNMqDtclBCGnLvXX7oQhJii3hMzlgLDl/IS++T1+4
YoSWB22TgFwoclJJ6xGEv57jjKE1bkpuA8LckyFsegLBP9F6hnHGsKaw0iAc
Ca4sOKQi3S7GnszSLMgdyF7HmKVbEvQRIQVTCP9/pcO9
  "]],

Cell[BoxData["\<\"These packages come with ABSOLUTELY NO WARRANTY; for \
details type Disclaimer[]. This is free software, and you are welcome to \
redistribute it under certain conditions. See the General Public License for \
details.\"\>"], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->CompressedData["
1:eJwVx1kowwEcwPHN+UDMFWsbYc45R5ar/JYid2JzNMl9Hy9e5s6VHGFlMsd4
QHK2ojw4yvHgQc7QPIjSTzlCjofl93/49unrWlCbXsxmsVih1G47+47nhpDY
qZHxyXCZpIGx6rmwifErd7+P8YbHsxaQBzOzokbS7v5nqYXU5n7yW8mB7azz
V7ItRtH9Ro5/TJwmuCOkSUaVlUKEUk0Jh+OBUKEWOQOpO9pqGyYNzTJVpCe9
lYS/TfLVcdkRXgipxiPqIrI07EisI+eicy7vycyuKqcObwTVzlDSCrksMj+/
Jo91NVOmPgj+9o7lKrJOL03eIBtOq8/8fBFieyVfYlIwKP/LJrmPyku2CEFq
yF8xIv0WLNdMSJv39d900iAP1CYGIKQs9dTuBSMkKDaFz2S/oejshbz4Pnnh
ihGaH7SNAnK+wEElrUMQ/rqPMQZXuyi59QizT/qQqXEE33jLacZp/arCQoNw
KLgy45CKVJsoWzJDMy+3I3vsoxZvybKnsKC8SYR/gWnD+A==
  "]],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->CompressedData["
1:eJwVx1kowwEcwPHN+UDMFWsbYc45R5ar/JYid2JzNMmZmxcvc+dKjrAymWM8
IM3VivLgKMeDBzlD8yBKP+UIOR6W3//h26eve1FdZimbxWKFU7sd7DueB0Jy
l0bGJyNlkkbG6ufiZsav/P1+xhsez1ZAHszOiZpIh/sfXSupzf/kt5GD2znn
r2R7nKLnjZz4mDxN8kTIkIwpq4QI5ZoyDscLoVItcgVSf7TVPkIaW2SqaG96
Gwl/m+SrE3KjfBDSTUfVJWR5xJFYT87H5l3ek9nd1S6dvgiqneGUFXJZZHl+
TR7ra6fN/RACHZ0rVGS9QZq6QTae1pwF+CPE90m+xKRgSP6XS3IflZdsEYLU
WLhiQgYsWq+ZkXbv67+ZpFEerE0OQkjT9dbthSIkKTaFz+SAseTshbz4Pnnh
ihFaHrRNAnKhyEklrUcQ/nqOM4bWuCm5DQhzT4aw6QkE/0TrGcYZw6rCSoNw
KLiy4JCKdLsYezJLsyB3IHsdY5Zuyae/iJCCKYR/hefEig==
  "]]
}, Open  ]],

Cell["\<\
We want to 
(i)make sure that  indices are output in a nice form,
(ii) specify the sign convention for the extrinsic curvature, such that \
$K_{ab} = - 1/2 \[ScriptCapitalL]_{u} \[Gamma]_{ab}$
(iii) specify the sign convention for the acceleration
We can perform these specifications with the following commands:\
\>", "Text",
 CellChangeTimes->{{3.571487235488202*^9, 3.571487273530356*^9}, {
  3.5714873131203012`*^9, 3.57148747353636*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"$PrePrint", "=", "ScreenDollarIndices"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$ExtrinsicKSign", "=", 
   RowBox[{"-", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$AccelerationSign", "=", 
   RowBox[{"-", "1"}]}], ";"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.507124652012831*^9, 3.507124652651008*^9}, 
   3.507546232847902*^9, {3.507740275965741*^9, 3.507740276448632*^9}, {
   3.571489478408149*^9, 3.571489478967716*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Definitions", "Section",
 CellChangeTimes->{{3.50754570847394*^9, 3.507545742228155*^9}, {
  3.507545799415026*^9, 3.50754581382384*^9}, {3.507740287094178*^9, 
  3.507740303398833*^9}, {3.507990200838178*^9, 3.507990201231651*^9}, {
  3.548517535857148*^9, 3.548517538811791*^9}}],

Cell[CellGroupData[{

Cell["\<\
Definitions of manifold, D - metric and tensors\
\>", "Subsection",
 CellChangeTimes->{
  3.509192970613252*^9, {3.5726925180383797`*^9, 3.572692518752901*^9}}],

Cell["\<\
Here we define the spacetime { M, gg_{ab} } on the D-dimensional manifold $M$ \
with spacetime metric $ gg_{ab} $. The signature is specified as \
{-,+,+,...,+}. The covariant derivative with respect to $gg_{ab}$ is denoted \
as \[OpenCurlyDoubleQuote]CD\[CloseCurlyDoubleQuote].
We also specify a list of characters used as indices throughout our \
computations.\
\>", "Text",
 CellChangeTimes->{{3.57148749362014*^9, 3.571487667499951*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Index", "=", 
   RowBox[{"Union", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"ToExpression", "[", 
        RowBox[{"\"\<r\>\"", "<>", 
         RowBox[{"ToString", "[", "i", "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "100"}], "}"}]}], "]"}], ",", 
     RowBox[{"IndexRange", "[", 
      RowBox[{"a", ",", "r"}], "]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.509359418143659*^9, 3.509359442006362*^9}, {
  3.509715278799914*^9, 3.509715279704382*^9}, {3.511168061489516*^9, 
  3.511168062061609*^9}}],

Cell[BoxData[{
 RowBox[{"DefManifold", "[", 
  RowBox[{"M", ",", "D", ",", "Index"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DefMetric", "[", 
   RowBox[{
    RowBox[{"-", "1"}], ",", 
    RowBox[{"gg", "[", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "]"}], ",", "CD", ",", 
    RowBox[{"PrintAs", "\[Rule]", "\"\<g\>\""}]}], "]"}], ";"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.506615012185108*^9, 3.50661501541816*^9}, {
   3.50661505164811*^9, 3.506615060938743*^9}, {3.506615322911528*^9, 
   3.506615326268799*^9}, {3.506618962185023*^9, 3.506618963310575*^9}, {
   3.507034564835126*^9, 3.507034565182109*^9}, {3.50703495706967*^9, 
   3.507034986666243*^9}, {3.507035592883887*^9, 3.507035610469533*^9}, {
   3.507035674024977*^9, 3.50703567498374*^9}, {3.507046937625186*^9, 
   3.507046939014417*^9}, {3.507460854743226*^9, 3.507460855360201*^9}, 
   3.507545827262238*^9, 3.508755392345878*^9, {3.548517558865815*^9, 
   3.548517560245598*^9}, {3.571473144471417*^9, 3.571473144840426*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefManifold", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"manifold \"\>", "\[InvisibleSpace]", "M", 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefManifold, ": Defining ", "manifold ", $CellContext`M,
    ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.572691337958807*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefVBundle", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vbundle \"\>", "\[InvisibleSpace]", "TangentM", 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefVBundle, ": Defining ", 
   "vbundle ", $CellContext`TangentM, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.572691337992227*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric metric tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"gg", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric metric tensor ", 
   $CellContext`gg[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.572691338059524*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"antisymmetric tensor \"\>", "\[InvisibleSpace]", 
   
   RowBox[{"epsilongg", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "antisymmetric tensor ", 
   $CellContext`epsilongg[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.572691338099802*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefCovD", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"covariant derivative \"\>", "\[InvisibleSpace]", 
   
   RowBox[{"CD", "[", 
    RowBox[{"-", "a"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefCovD, ": Defining ", "covariant derivative ", 
   $CellContext`CD[-$CellContext`a], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.5726913381023903`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing torsion tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"TorsionCD", "[", 
    RowBox[{"a", ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "c"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "vanishing torsion tensor ", 
   $CellContext`TorsionCD[$CellContext`a, -$CellContext`b, -$CellContext`c], 
   ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.5726913381046762`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Christoffel tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"ChristoffelCD", "[", 
    RowBox[{"a", ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "c"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric Christoffel tensor ", 
   $CellContext`ChristoffelCD[$CellContext`a, -$CellContext`b, \
-$CellContext`c], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.572691338106729*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Riemann tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"RiemannCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "c"}], ",", 
     RowBox[{"-", "d"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Riemann tensor ", 
   $CellContext`RiemannCD[-$CellContext`a, -$CellContext`b, -$CellContext`c, \
-$CellContext`d], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.572691338109222*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Ricci tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"RicciCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric Ricci tensor ", 
   $CellContext`RicciCD[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.5726913381119223`*^9}],

Cell[BoxData["\<\"** DefCovD:  Contractions of Riemann automatically replaced \
by Ricci.\"\>"], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.572691338114039*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Ricci scalar \"\>", "\[InvisibleSpace]", 
   RowBox[{"RicciScalarCD", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Ricci scalar ", 
   $CellContext`RicciScalarCD[], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.5726913381156197`*^9}],

Cell[BoxData["\<\"** DefCovD:  Contractions of Ricci automatically replaced \
by RicciScalar.\"\>"], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.572691338146121*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Einstein tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"EinsteinCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric Einstein tensor ", 
   $CellContext`EinsteinCD[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.5726913381501493`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Weyl tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"WeylCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "c"}], ",", 
     RowBox[{"-", "d"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "Weyl tensor ", 
   $CellContext`WeylCD[-$CellContext`a, -$CellContext`b, -$CellContext`c, \
-$CellContext`d], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.5726913381909533`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric TFRicci tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"TFRicciCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric TFRicci tensor ", 
   $CellContext`TFRicciCD[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.572691338386216*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Kretschmann scalar \"\>", "\[InvisibleSpace]", 
   RowBox[{"KretschmannCD", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Kretschmann scalar ", 
   $CellContext`KretschmannCD[], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.572691338419587*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RiemannToWeylRules for dim \"\>", 
   "\[InvisibleSpace]", "D"}],
  SequenceForm["** DefCovD:  Computing RiemannToWeylRules for dim ", D],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.57269133842169*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RicciToTFRicci for dim \"\>", 
   "\[InvisibleSpace]", "D"}],
  SequenceForm["** DefCovD:  Computing RicciToTFRicci for dim ", D],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.5726913386075068`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RicciToEinsteinRules for dim \"\>", 
   "\[InvisibleSpace]", "D"}],
  SequenceForm["** DefCovD:  Computing RicciToEinsteinRules for dim ", D],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.5726913386428432`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"weight +2 density \"\>", "\[InvisibleSpace]", 
   RowBox[{"Detgg", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"Determinant.\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "weight +2 density ", 
   $CellContext`Detgg[], ". ", "Determinant."],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.508755439891263*^9, 3.508838989361695*^9, 3.509092508999783*^9, 
   3.509192992174096*^9, 3.509358959362299*^9, 3.509359642466448*^9, 
   3.509450056604806*^9, 3.509715281076472*^9, 3.50996833182166*^9, 
   3.509975620816596*^9, 3.510047942289649*^9, 3.510227677381098*^9, 
   3.510303509725778*^9, 3.510314193773816*^9, 3.510318578164516*^9, 
   3.510477216878158*^9, 3.510568019420743*^9, 3.510572746168135*^9, 
   3.510574143218631*^9, 3.510903012523537*^9, 3.510991482104755*^9, 
   3.510991536973898*^9, 3.511078561164714*^9, 3.51116806335437*^9, 
   3.511168262826358*^9, 3.511457648025755*^9, 3.511460691694679*^9, 
   3.511513095621025*^9, 3.511532149072094*^9, 3.5117795916513777`*^9, 
   3.5117854908981667`*^9, 3.5118653095468397`*^9, 3.512209088496746*^9, 
   3.512210811989977*^9, 3.512214921294536*^9, 3.5123752476157293`*^9, 
   3.5139330663914213`*^9, 3.515749246250967*^9, 3.515832692258595*^9, 
   3.515840163211926*^9, 3.5159284502346077`*^9, 3.5159357183595057`*^9, {
   3.548517552155944*^9, 3.548517579524918*^9}, 3.548957658209902*^9, 
   3.571251626859899*^9, 3.5712524938443947`*^9, 3.571473145549079*^9, 
   3.571482682644367*^9, 3.571487670916703*^9, 3.571489482803897*^9, 
   3.571899747381465*^9, 3.5726913387162037`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Definitions of  the (D-1) - metric and tensors\
\>", "Subsection",
 CellChangeTimes->{
  3.509193150038602*^9, {3.572692524469125*^9, 3.572692526303979*^9}}],

Cell["\<\
Next, we define the normal vector $ u^a $ and specify the normalization \
$u_{a} u^{a} = -1$\
\>", "Text",
 CellChangeTimes->{{3.571487686242887*^9, 3.571487747883348*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DefTensor", "[", 
   RowBox[{
    RowBox[{"u", "[", "a", "]"}], ",", "M"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"u", "/:", 
  RowBox[{
   RowBox[{"u", "[", "a_", "]"}], " ", 
   RowBox[{"u", "[", 
    RowBox[{"-", "a_"}], "]"}]}], ":=", 
  RowBox[{"-", "1"}]}], "\n", 
 RowBox[{"u", "/:", 
  RowBox[{
   RowBox[{"u", "[", "a_", "]"}], " ", 
   RowBox[{"u", "[", "b_", "]"}], " ", 
   RowBox[{"gg", "[", 
    RowBox[{
     RowBox[{"-", "a_"}], ",", 
     RowBox[{"-", "b_"}]}], "]"}]}], ":=", 
  RowBox[{"-", "1"}]}], "\n", 
 RowBox[{"u", "/:", 
  RowBox[{
   RowBox[{"u", "[", 
    RowBox[{"-", "a_"}], "]"}], " ", 
   RowBox[{"u", "[", 
    RowBox[{"-", "b_"}], "]"}], " ", 
   RowBox[{"gg", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}]}], ":=", 
  RowBox[{"-", "1"}]}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.506615046495383*^9, 3.506615048366156*^9}, {
   3.506615241600169*^9, 3.506615267903901*^9}, {3.50661896839224*^9, 
   3.506618977149284*^9}, {3.507035447057529*^9, 3.507035503309965*^9}, {
   3.507035573621105*^9, 3.50703557392478*^9}, {3.507046990746665*^9, 
   3.507047006636181*^9}, {3.507114085172676*^9, 3.507114090879157*^9}, {
   3.5071141272245*^9, 3.507114128550052*^9}, {3.507114163398957*^9, 
   3.507114163689026*^9}, 3.507545839056263*^9, {3.507987558155572*^9, 
   3.507987559893334*^9}, 3.507989389158964*^9, 3.507989854667462*^9, {
   3.508764330204931*^9, 3.508764346322248*^9}, {3.509359506454317*^9, 
   3.509359507900944*^9}, 3.548957739439843*^9, {3.571487753368607*^9, 
   3.5714877589715014`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"u", "[", "a", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`u[$CellContext`a], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.5714894864218807`*^9, 3.5718997524455*^9, 
  3.57269134027814*^9}],

Cell["\<\
Now, we define the induced metric $hh_{ab}$ on the spatial slice $\
\[CapitalSigma]_t$  which is induced from $gg_{ab}$ using the vector $u^a$ \
normal to the hypersurface. Because $hh_{ab}$ is a spatial metric the \
signature now is {+,+,...,+} . We denote the covariant derivative with \
respect to $hh_{ab}$ as \[OpenCurlyDoubleQuote]cd\[CloseCurlyDoubleQuote], \
while throughout the notebook it will be shown as \[OpenCurlyDoubleQuote]D\
\[CloseCurlyDoubleQuote].\
\>", "Text",
 CellChangeTimes->{{3.571487777194007*^9, 3.571487985602668*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefMetric", "[", 
  RowBox[{"1", ",", 
   RowBox[{"hh", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], ",", "cd", ",", 
   RowBox[{"SymbolOfCovD", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<|\>\"", ",", "\"\<D\>\""}], "}"}]}], ",", 
   RowBox[{"InducedFrom", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"gg", ",", "u"}], "}"}]}], ",", 
   RowBox[{"PrintAs", "\[Rule]", "\"\<h\>\""}]}], "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.507545839056534*^9, {3.510227724258123*^9, 3.510227727261679*^9}, {
   3.548517630391494*^9, 3.548517637002994*^9}, {3.5714731746107073`*^9, 
   3.571473174948514*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"DefMetric", "::", "old"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"There are already metrics \
\[NoBreak]\\!\\({gg}\\)\[NoBreak] in vbundle \[NoBreak]\\!\\(TangentM\\)\
\[NoBreak].\"\>"}]], "Message", "MSG",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->CompressedData["
1:eJwVx11IU2EYwPGzdDFKbGoGi7RW2rHE3FbBsgv3FhW1kWOE1ohjHZfVFnMr
Oa7QhmAhNBkdDcPKT7yJjmNgWcvWMqwujAqEyjJrpsUj9rGx9UFCz3vx58df
zddYjskYhtmDsQdLcn+ogTg5zX7qigm5+BN9oh1tiqF9V0xhqmjXF8dR81Pu
AFVgz1VS3Z95DzVampaSQB0Lvvokmh0qylq1FohR9FZQt71MCtQltZrz1FCw
oYUqvfg0SS2dHXIm0DsTt6b2rQPS39eutecB2X5VaHSgU+bjZW2oN7IsR5kP
pONxvZ6gizOyRREtr/oSaUX9NkkKo7tcumLDeiDzu8+O3UdnboyWPUQdN42d
UTSoW86XsEDmjkZOVqKrrae7baimOjFSjX5NadYPop5m3v8RrTjc8yGKPr+c
2zKNsg+U6qYCIA2ptw8F0N867/hb+ieO+OUbgMRFVT+16FRaTETH7sadbWji
WZ58AF1ZELMMoSGTO1+zEUjdLKvYjJZvnZFZ0Q7f+0lZIZA3yeHAIvTezrpg
KjpQa/lrQdPn23uMm4AE7GbXiBaIsvD1ljlU5AwZ39Fvw8wvlQ7IxfGaxhz0
nxTu3uECYvozPahyA1lozTR0XQNyieN7qRde7a1aeh2IQmAUStQnpHdloh6b
ypqFQu8Z6R0aWvNIy3UC+Q+XyBDz
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric metric tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"hh", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric metric tensor ", 
   $CellContext`hh[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeBdP+2g4Zx8145AgClT6tG
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"antisymmetric tensor \"\>", "\[InvisibleSpace]", 
   
   RowBox[{"epsilonhh", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "antisymmetric tensor ", 
   $CellContext`epsilonhh[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeB9J1TBw3j5r1yBACoQ6un
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefCovD", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"covariant derivative \"\>", "\[InvisibleSpace]", 
   
   RowBox[{"cd", "[", 
    RowBox[{"-", "a"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefCovD, ": Defining ", "covariant derivative ", 
   $CellContext`cd[-$CellContext`a], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeB9JH3hwzj5r1yBACojKu1
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"vanishing torsion tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"Torsioncd", "[", 
    RowBox[{"a", ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "c"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "vanishing torsion tensor ", 
   $CellContext`Torsioncd[$CellContext`a, -$CellContext`b, -$CellContext`c], 
   ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeB9Knfhwzj5r1yBACpEKvH
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Christoffel tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"Christoffelcd", "[", 
    RowBox[{"a", ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "c"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric Christoffel tensor ", 
   $CellContext`Christoffelcd[$CellContext`a, -$CellContext`b, \
-$CellContext`c], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeBdCLXYcO4ea8cAZ83qm4=
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Riemann tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Riemanncd", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "c"}], ",", 
     RowBox[{"-", "d"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Riemann tensor ", 
   $CellContext`Riemanncd[-$CellContext`a, -$CellContext`b, -$CellContext`c, \
-$CellContext`d], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeB9OOuI4Zx8145AgCmzatx
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Ricci tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"Riccicd", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric Ricci tensor ", 
   $CellContext`Riccicd[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeBtIPZccO4ea8cAZ97qn0=
  "]],

Cell[BoxData["\<\"** DefCovD:  Contractions of Riemann automatically replaced \
by Ricci.\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeBdN6SE4Zx8145AgCj86sa
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Ricci scalar \"\>", "\[InvisibleSpace]", 
   RowBox[{"RicciScalarcd", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Ricci scalar ", 
   $CellContext`RicciScalarcd[], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeB9JS9lw3j5r1yBACmFKtk
  "]],

Cell[BoxData["\<\"** DefCovD:  Contractions of Ricci automatically replaced \
by RicciScalar.\"\>"], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeB9I2rlw3j5r1yBACo3KvA
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric Einstein tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"Einsteincd", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", 
   "symmetric Einstein tensor ", 
   $CellContext`Einsteincd[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeBtNjfy4Zx8145AgCj5Ksm
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Weyl tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Weylcd", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}], ",", 
     RowBox[{"-", "c"}], ",", 
     RowBox[{"-", "d"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "Weyl tensor ", 
   $CellContext`Weylcd[-$CellContext`a, -$CellContext`b, -$CellContext`c, \
-$CellContext`d], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeB9I9HVw3j5r1yBACqQ6vv
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"symmetric TFRicci tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"TFRiccicd", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "symmetric TFRicci tensor ", 
   $CellContext`TFRiccicd[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeB9NUz9wzj5r1yBACox6u/
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"Kretschmann scalar \"\>", "\[InvisibleSpace]", 
   RowBox[{"Kretschmanncd", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "Kretschmann scalar ", 
   $CellContext`Kretschmanncd[], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeB9KfFDwzj5r1yBAConKu1
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RiemannToWeylRules for dim \"\>", 
   "\[InvisibleSpace]", "D"}],
  SequenceForm["** DefCovD:  Computing RiemannToWeylRules for dim ", D],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeBtM+WB4Zx8145AgCj46sg
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RicciToTFRicci for dim \"\>", 
   "\[InvisibleSpace]", "D"}],
  SequenceForm["** DefCovD:  Computing RicciToTFRicci for dim ", D],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeBtJ3QC8O4ea8cAZ81qng=
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** DefCovD:  Computing RicciToEinsteinRules for dim \"\>", 
   "\[InvisibleSpace]", "D"}],
  SequenceForm["** DefCovD:  Computing RicciToEinsteinRules for dim ", D],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeB9ByTl4Zx8145AgCjGar5
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"weight +2 density \"\>", "\[InvisibleSpace]", 
   RowBox[{"Dethh", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"Determinant.\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "weight +2 density ", 
   $CellContext`Dethh[], ". ", "Determinant."],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeB9J2Hrw3j5r1yBACp4Kvo
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"extrinsic curvature tensor \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"ExtrinsicKhh", "[", 
    RowBox[{"a", ",", "b"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"Associated to vector u\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "extrinsic curvature tensor ", 
   $CellContext`ExtrinsicKhh[$CellContext`a, $CellContext`b], ". ", 
   "Associated to vector u"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeB9K7vrw3j5r1yBACpaqvc
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"acceleration vector \"\>", "\[InvisibleSpace]", 
   RowBox[{"Accelerationu", "[", "a", "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"Associated to vector u\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefTensor, ": Defining ", "acceleration vector ", 
   $CellContext`Accelerationu[$CellContext`a], ". ", "Associated to vector u"],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeBtCHnG8O4ea8cAZ6mqmY=
  "]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefInertHead", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"projector inert-head \"\>", "\[InvisibleSpace]", 
   "Projectorhh", "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefInertHead, ": Defining ", 
   "projector inert-head ", $CellContext`Projectorhh, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeKz+9et3af6ypHzgpG+g9orx5mTKs/sBtIXLh713w+k
d1v4zHsEpA/kiCRZqb9y7Hx0IDMeSOvUFi1IAdLR3V8PpQHplY4dFluA9Msj
Sf0PgLT+lIX3HgFpWU/53sdAevMMQcUWjVeOLNLbItcDaSOb+is3gbTVpsR+
Vs1XjrPuSy0F0ZI2fJ8mAeldtl/zpgBpkzZV1nVA+sO+T0HbgXSoUpGqgdYr
xzmrNDiMgfSzL08Zo4B0i+3du4zarxzFGfeuZwLSfj/LN7IAaZvGoF9BQLro
2/SF3nqvHPc4BhYcMgSKd900eQ2kmSY5CL4H0pbBzN8ljV45VtUWNMoCaf7k
/QucCl45vhN/skWy8JWj8VIhh/mzgfpKkxaB6DVPPZO557xyLJnGwCEApFet
5JsvBKSj1aSihIG05rnitbeBNJP8G8O4ea8cAZ3Iqk0=
  "]]
}, Open  ]],

Cell["\<\
The projection operator is $hh_{a}^{b} = \[Delta]_{a}^{b} + u_{a} u^{b} $. We \
now define a rule which allows us to replace the projector symbol with the \
actual projection operator, as can be understood from this example:\
\>", "Text",
 CellChangeTimes->{{3.5714880249409237`*^9, 3.5714881412010183`*^9}, {
  3.5714881808669767`*^9, 3.571488191594795*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"InducedDecomposition", "[", 
  RowBox[{
   RowBox[{"gg", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"hh", ",", "u"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"InducedDecomposition", "[", 
   RowBox[{
    RowBox[{"gg", "[", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"hh", ",", "u"}], "}"}]}], "]"}], "/.", 
  RowBox[{"Projectorhh", "\[Rule]", 
   RowBox[{"ProjectWith", "[", "hh", "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.571488142526226*^9, 3.571488176423661*^9}}],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[GridBox[{
      {"h", 
       StyleBox[GridBox[{
          {" ", " "},
          {"a", "b"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
              Offset[0.]}}, "RowsIndexed" -> {}}],
        FontSize->9]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`hh[-$CellContext`a, -$CellContext`b],
   Editable->False], "-", 
  RowBox[{
   InterpretationBox[
    StyleBox[
     RowBox[{
      UnderscriptBox["P", "h"], "[", 
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"g", 
            StyleBox[GridBox[{
               {" ", " "},
               {"c", "b"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`gg[-$CellContext`c, -$CellContext`b],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"u", 
            StyleBox[GridBox[{
               {"c"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`u[$CellContext`c],
        Editable->False]}], "]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Projectorhh[$CellContext`gg[-$CellContext`c, \
-$CellContext`b] $CellContext`u[$CellContext`c]],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"a"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`a],
    Editable->False]}], "-", 
  RowBox[{
   InterpretationBox[
    StyleBox[
     RowBox[{
      UnderscriptBox["P", "h"], "[", 
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"g", 
            StyleBox[GridBox[{
               {" ", " "},
               {"a", "c"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`gg[-$CellContext`a, -$CellContext`c],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"u", 
            StyleBox[GridBox[{
               {"c"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`u[$CellContext`c],
        Editable->False]}], "]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Projectorhh[$CellContext`gg[-$CellContext`a, \
-$CellContext`c] $CellContext`u[$CellContext`c]],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`b],
    Editable->False]}], "-", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"a"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`a],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`b],
    Editable->False]}]}]], "Output",
 CellChangeTimes->{{3.571488158218401*^9, 3.571488176795573*^9}, 
   3.571489493646824*^9, 3.571899766291254*^9, 3.5726913451864767`*^9}],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[GridBox[{
      {"h", 
       StyleBox[GridBox[{
          {" ", " "},
          {"a", "b"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
              Offset[0.]}}, "RowsIndexed" -> {}}],
        FontSize->9]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`hh[-$CellContext`a, -$CellContext`b],
   Editable->False], "-", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"a"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`a],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`b],
    Editable->False]}], "-", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"g", 
        StyleBox[GridBox[{
           {" ", " "},
           {"c", "d"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`gg[-$CellContext`c, -$CellContext`d],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", "d"},
           {"b", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`b, $CellContext`d],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"a"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`a],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {"c"},
           {" "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[$CellContext`c],
    Editable->False]}], "-", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"g", 
        StyleBox[GridBox[{
           {" ", " "},
           {"d", "c"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`gg[-$CellContext`d, -$CellContext`c],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", "d"},
           {"a", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`a, $CellContext`d],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {"c"},
           {" "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[$CellContext`c],
    Editable->False]}]}]], "Output",
 CellChangeTimes->{{3.571488158218401*^9, 3.571488176795573*^9}, 
   3.571489493646824*^9, 3.571899766291254*^9, 3.572691345217966*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"ruleProj", "=", 
   RowBox[{"Projectorhh", "\[Rule]", 
    RowBox[{"ProjectWith", "[", "hh", "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.509359767426683*^9, 3.509359783682724*^9}, {
  3.548517642229456*^9, 3.548517647335449*^9}}],

Cell["\<\
We next introduce the lapse function \[Alpha] and give a prescription how to \
substitute the acceleration vector with the lapse
a_{i} = \\frac{1}{\[Alpha]} D_{i} \[Alpha]\
\>", "Text",
 CellChangeTimes->{{3.571488199574089*^9, 3.571488297183325*^9}}],

Cell[BoxData[{
 RowBox[{"DefTensor", "[", 
  RowBox[{
   RowBox[{"\[Alpha]", "[", "]"}], ",", "M"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Accelerationu", "/:", 
  RowBox[{"Accelerationu", "[", "a_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"cd", "[", "a", "]"}], "[", 
    RowBox[{"\[Alpha]", "[", "]"}], "]"}], "/", 
   RowBox[{"\[Alpha]", "[", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Accelerationu", "/:", 
  RowBox[{"Accelerationu", "[", 
   RowBox[{"-", "a_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"cd", "[", 
     RowBox[{"-", "a"}], "]"}], "[", 
    RowBox[{"\[Alpha]", "[", "]"}], "]"}], "/", 
   RowBox[{"\[Alpha]", "[", "]"}]}]}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.50754585464842*^9, {3.508756606866703*^9, 3.508756609348454*^9}, {
   3.508839190102326*^9, 3.508839226566879*^9}, {3.509359578969647*^9, 
   3.509359581603218*^9}, {3.509359790605136*^9, 3.509359824922992*^9}, {
   3.511460731327965*^9, 3.511460731986973*^9}, {3.5712517343631563`*^9, 
   3.571251734677559*^9}, {3.5714880075598297`*^9, 3.571488007935236*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"\[Alpha]", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`\[Alpha][], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGDQBeJLLp3r9qm+clQ0vKPvoPbKkfPunTO7gfQzeeeA/UD6
cMP6eY+A9B72SUlW6q8cvT8z18QD6YZ52gtTgPQaTf/DaUDa9I+PzRYgrSO/
pf8BkFYVYbz/CEgf2Nrc+xhI/+KtUmzReOX4MIktaj2QvmK68spNIN1SvKuf
VROoz7x0KYj+3dbwaRKQnt3Qmz8FSE/Z28C6DkibiNoFbwfSm4KOqBpovXK0
uVXFYQykl1zWY4oC0hu8Xe8xar9ynHHp3XomIL0udNVGFiB95UTtryAgvWX/
yYXeeq8cnZmOFRwyfOV45H2Z6Wsg/cj3lOB7IL2V69Z3SSOg/QtXN8oC6Y52
/kVOBa8c1a6EbpUsfOW4gLvccf7sV44XXj9fBKL/3ONO4Z7zynHVqj4OASDt
cnHxUSEgbcyREy0MpDdFVK6/DaSlFq4yipv3yhEAhkexYg==
  "]],

Cell[CellGroupData[{

Cell["misc rules", "Subsubsection",
 CellChangeTimes->{{3.571482315091468*^9, 3.571482317149543*^9}}],

Cell[BoxData[{
 RowBox[{"cd", "/:", 
  RowBox[{
   RowBox[{"hh", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"cd", "[", 
      RowBox[{"-", "a_"}], "]"}], "[", 
     RowBox[{
      RowBox[{"cd", "[", 
       RowBox[{"-", "b_"}], "]"}], "[", "X_", "]"}], "]"}], ")"}]}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"cd", "[", "a", "]"}], "[", 
    RowBox[{
     RowBox[{"cd", "[", 
      RowBox[{"-", "a"}], "]"}], "[", "X", "]"}], "]"}], ")"}]}], "\n", 
 RowBox[{"cd", "/:", 
  RowBox[{
   RowBox[{"hh", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"cd", "[", 
      RowBox[{"-", "b_"}], "]"}], "[", "X_", "]"}], ")"}]}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"cd", "[", "a", "]"}], "[", "X", "]"}], ")"}]}]}], "Input",
 CellChangeTimes->{{3.571482172864266*^9, 3.571482180125819*^9}, {
  3.5714822216048517`*^9, 3.571482258173173*^9}, {3.5714823030235243`*^9, 
  3.571482309022563*^9}}]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
(D-1)+1 Decomposition of Einstein's equations\
\>", "Section",
 CellChangeTimes->{
  3.509359569912281*^9, 3.509359700114093*^9, {3.510048140796031*^9, 
   3.510048142984953*^9}, {3.548517711606202*^9, 3.54851771232722*^9}, {
   3.571488336278193*^9, 3.571488339546661*^9}}],

Cell["\<\
In the following section we perform the (D-1)+1 split of Einstein\
\[CloseCurlyQuote]s equations and will derive the constraint and evolution \
equations.\
\>", "Text",
 CellChangeTimes->{{3.571488385749961*^9, 3.571488433688002*^9}}],

Cell[CellGroupData[{

Cell["Define EoMs", "Subsection",
 CellChangeTimes->{{3.571251685983912*^9, 3.5712516916615353`*^9}, {
   3.5714827225355864`*^9, 3.571482727285089*^9}, {3.5714868129664803`*^9, 
   3.5714868134082317`*^9}, 3.571489895395516*^9}],

Cell["\<\
Here we define the equations of motion denoted by  $EE_{ab}$ and the \
energy-momentum tensor $TT_{ab}$. 
Additionally we define the energy density $\[Rho]$, the current $j_{i}$ and \
the spatial part of the energy-momentum tensor $S_{ij}$.
We define the gravitational constant $G_D$ as constant symbol.\
\>", "Text",
 CellChangeTimes->{{3.571488438581098*^9, 3.571488443078177*^9}, {
   3.5714884774261503`*^9, 3.5714887474971933`*^9}, 3.571488940722579*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"DefTensor", "[", 
   RowBox[{
    RowBox[{"EE1", "[", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "]"}], ",", "M", ",", 
    RowBox[{"Symmetric", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "a"}], ",", 
       RowBox[{"-", "b"}]}], "}"}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DefTensor", "[", 
   RowBox[{
    RowBox[{"EE2", "[", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "]"}], ",", "M", ",", 
    RowBox[{"Symmetric", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "a"}], ",", 
       RowBox[{"-", "b"}]}], "}"}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DefTensor", "[", 
   RowBox[{
    RowBox[{"TT", "[", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "]"}], ",", "M", ",", 
    RowBox[{"Symmetric", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "a"}], ",", 
       RowBox[{"-", "b"}]}], "}"}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DefConstantSymbol", "[", "GD", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DefTensor", "[", 
   RowBox[{
    RowBox[{"\[Rho]", "[", "]"}], ",", "M"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DefTensor", "[", 
   RowBox[{
    RowBox[{"ji", "[", 
     RowBox[{"-", "a"}], "]"}], ",", "M", ",", 
    RowBox[{"OrthogonalTo", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"u", "[", "a", "]"}], "}"}]}], ",", 
    RowBox[{"ProjectedWith", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"hh", "[", 
       RowBox[{"a", ",", 
        RowBox[{"-", "b"}]}], "]"}], "}"}]}]}], " ", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DefTensor", "[", 
   RowBox[{
    RowBox[{"Sij", "[", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "]"}], ",", "M", ",", 
    RowBox[{"Symmetric", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "a"}], ",", 
       RowBox[{"-", "b"}]}], "}"}], "]"}], ",", 
    RowBox[{"OrthogonalTo", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"u", "[", "a", "]"}], ",", 
       RowBox[{"u", "[", "b", "]"}]}], "}"}]}], ",", 
    RowBox[{"ProjectedWith", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"hh", "[", 
        RowBox[{"a", ",", 
         RowBox[{"-", "c"}]}], "]"}], ",", 
       RowBox[{"hh", "[", 
        RowBox[{"b", ",", 
         RowBox[{"-", "d"}]}], "]"}]}], "}"}]}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.571473259725028*^9, 3.571473303953519*^9}, {
   3.571480533652624*^9, 3.571480534716796*^9}, {3.571481260149445*^9, 
   3.571481285108601*^9}, 3.5714827404498167`*^9, {3.571488459056398*^9, 
   3.571488483846977*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"EE1", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`EE1[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.571473304399455*^9, 3.571482698189039*^9, 
  3.571489507606119*^9, 3.571899782358901*^9, 3.572691358933036*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"EE2", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`EE2[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.571473304399455*^9, 3.571482698189039*^9, 
  3.571489507606119*^9, 3.571899782358901*^9, 3.572691358963881*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"TT", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`TT[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.571473304399455*^9, 3.571482698189039*^9, 
  3.571489507606119*^9, 3.571899782358901*^9, 3.5726913589660797`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefConstantSymbol", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"constant symbol \"\>", "\[InvisibleSpace]", "GD",
    "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefConstantSymbol, ": Defining ", 
   "constant symbol ", $CellContext`GD, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.571473304399455*^9, 3.571482698189039*^9, 
  3.571489507606119*^9, 3.571899782358901*^9, 3.572691358969084*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"\[Rho]", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`\[Rho][], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.571473304399455*^9, 3.571482698189039*^9, 
  3.571489507606119*^9, 3.571899782358901*^9, 3.572691358972641*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"ji", "[", 
    RowBox[{"-", "a"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`ji[-$CellContext`a], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.571473304399455*^9, 3.571482698189039*^9, 
  3.571489507606119*^9, 3.571899782358901*^9, 3.572691358976281*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"Sij", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`Sij[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.571473304399455*^9, 3.571482698189039*^9, 
  3.571489507606119*^9, 3.571899782358901*^9, 3.572691358979725*^9}]
}, Open  ]]
}, Open  ]],

Cell["\<\
The following rules allow us to substitute the various projections of the \
energy-momentum tensor according to
(a) energy density:             \[Rho] = T_{ab} u^{a} u^{b}
(b) energy current:            j_i = -T_{ab} u^a h^{b}_{i}
(c) spatial components:  S_{ij} = h^a_i h^b_j T_{ab}\
\>", "Text",
 CellChangeTimes->{{3.571488758165238*^9, 3.57148890391142*^9}, 
   3.571490441212522*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rule\[Rho]", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"TT", "[", 
      RowBox[{
       RowBox[{"-", "a_"}], ",", 
       RowBox[{"-", "b_"}]}], "]"}], 
     RowBox[{"u", "[", "a_", "]"}], 
     RowBox[{"u", "[", "b_", "]"}]}], "\[RuleDelayed]", 
    RowBox[{"\[Rho]", "[", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ruleji", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"hh", "[", 
        RowBox[{
         RowBox[{"-", "a_"}], ",", "c_"}], "]"}], 
       RowBox[{"TT", "[", 
        RowBox[{
         RowBox[{"-", "b_"}], ",", 
         RowBox[{"-", "c_"}]}], "]"}], 
       RowBox[{"u", "[", "b_", "]"}]}], "\[RuleDelayed]", 
      RowBox[{"-", 
       RowBox[{"ji", "[", 
        RowBox[{"-", "a"}], "]"}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"hh", "[", 
        RowBox[{
         RowBox[{"-", "a_"}], ",", "b_"}], "]"}], 
       RowBox[{"TT", "[", 
        RowBox[{
         RowBox[{"-", "b_"}], ",", 
         RowBox[{"-", "c_"}]}], "]"}], 
       RowBox[{"u", "[", "c_", "]"}]}], "\[RuleDelayed]", 
      RowBox[{"-", 
       RowBox[{"ji", "[", 
        RowBox[{"-", "a"}], "]"}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ruleSij", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"hh", "[", 
      RowBox[{
       RowBox[{"-", "a_"}], ",", "c_"}], "]"}], 
     RowBox[{"hh", "[", 
      RowBox[{
       RowBox[{"-", "b_"}], ",", "d_"}], "]"}], 
     RowBox[{"TT", "[", 
      RowBox[{
       RowBox[{"-", "c_"}], ",", 
       RowBox[{"-", "d_"}]}], "]"}]}], "\[RuleDelayed]", 
    RowBox[{"Sij", "[", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.571482467208345*^9, 3.571482566884391*^9}, {
  3.571486040822301*^9, 3.571486053754148*^9}, {3.5714904436054573`*^9, 
  3.57149044804423*^9}}],

Cell["\<\
We will make use of Einstein\[CloseCurlyQuote]s eqs in the following forms:
(i)  EE1_{ab}:=R_{ab} - 1/2 g_{ab} R - 8\[Pi] G_D T_{ab} = 0
(ii) EE2_{ab}:=R_{ab} - 8 \[Pi] G_D (T_{ab} - 1/2 g_{ab} T ) = 0\
\>", "Text",
 CellChangeTimes->{3.5714889487352867`*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"EE1", "[", 
   RowBox[{
    RowBox[{"-", "a_"}], ",", 
    RowBox[{"-", "b_"}]}], "]"}], "=", 
  RowBox[{
   RowBox[{"RicciCD", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "-", 
   RowBox[{
    RowBox[{"1", "/", "2"}], " ", 
    RowBox[{"gg", "[", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "]"}], " ", 
    RowBox[{"RicciScalarCD", "[", "]"}]}], "-", 
   RowBox[{"8", "\[Pi]", " ", "GD", " ", 
    RowBox[{"TT", "[", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "]"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EE2", "[", 
   RowBox[{
    RowBox[{"-", "a_"}], ",", 
    RowBox[{"-", "b_"}]}], "]"}], "=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"c", ",", "d"}], "}"}], ",", 
    RowBox[{
     RowBox[{"RicciCD", "[", 
      RowBox[{
       RowBox[{"-", "a"}], ",", 
       RowBox[{"-", "b"}]}], "]"}], "-", 
     RowBox[{"8", "\[Pi]", " ", "GD", " ", 
      RowBox[{"(", " ", 
       RowBox[{
        RowBox[{"TT", "[", 
         RowBox[{
          RowBox[{"-", "a"}], ",", 
          RowBox[{"-", "b"}]}], "]"}], "-", 
        RowBox[{
         RowBox[{"1", "/", "2"}], " ", 
         RowBox[{"gg", "[", 
          RowBox[{
           RowBox[{"-", "a"}], ",", 
           RowBox[{"-", "b"}]}], "]"}], 
         RowBox[{"gg", "[", 
          RowBox[{"c", ",", "d"}], "]"}], 
         RowBox[{"TT", "[", 
          RowBox[{
           RowBox[{"-", "c"}], ",", 
           RowBox[{"-", "d"}]}], "]"}]}]}], ")"}]}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.5714804850057297`*^9, 3.5714805054653463`*^9}, {
  3.571480549524234*^9, 3.571480582798174*^9}, {3.571488954449914*^9, 
  3.571488967941937*^9}, {3.5714895265011377`*^9, 3.571489543878536*^9}}],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[GridBox[{
      {
       RowBox[{"R", "[", "\[EmptyDownTriangle]", "]"}], 
       StyleBox[GridBox[{
          {" ", " "},
          {"a", "b"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
              Offset[0.]}}, "RowsIndexed" -> {}}],
        FontSize->9]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`RicciCD[-$CellContext`a, -$CellContext`b],
   Editable->False], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"g", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`gg[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[
     RowBox[{"R", "[", "\[EmptyDownTriangle]", "]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`RicciScalarCD[],
    Editable->False]}], "-", 
  RowBox[{"8", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"TT", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`TT[-$CellContext`a, -$CellContext`b],
    Editable->False]}]}]], "Output",
 CellChangeTimes->{
  3.571488968254118*^9, {3.5714895155002003`*^9, 3.571489544345572*^9}, 
   3.571490451540881*^9, 3.571899788479711*^9, 3.572691364226746*^9}],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[GridBox[{
      {
       RowBox[{"R", "[", "\[EmptyDownTriangle]", "]"}], 
       StyleBox[GridBox[{
          {" ", " "},
          {"a", "b"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
              Offset[0.]}}, "RowsIndexed" -> {}}],
        FontSize->9]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`RicciCD[-$CellContext`a, -$CellContext`b],
   Editable->False], "-", 
  RowBox[{"8", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   RowBox[{"(", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"TT", 
          StyleBox[GridBox[{
             {" ", " "},
             {"a", "b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`TT[-$CellContext`a, -$CellContext`b],
      Editable->False], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {"g", 
           StyleBox[GridBox[{
              {" ", " "},
              {"a", "b"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                  Offset[0.]}}, "RowsIndexed" -> {}}],
            FontSize->9]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Center}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`gg[-$CellContext`a, -$CellContext`b],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {"g", 
           StyleBox[GridBox[{
              {"c", "d"},
              {" ", " "}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                  Offset[0.]}}, "RowsIndexed" -> {}}],
            FontSize->9]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Center}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`gg[$CellContext`c, $CellContext`d],
       Editable->False], " ", 
      InterpretationBox[
       StyleBox[GridBox[{
          {"TT", 
           StyleBox[GridBox[{
              {" ", " "},
              {"c", "d"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                  Offset[0.]}}, "RowsIndexed" -> {}}],
            FontSize->9]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Center}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`TT[-$CellContext`c, -$CellContext`d],
       Editable->False]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{
  3.571488968254118*^9, {3.5714895155002003`*^9, 3.571489544345572*^9}, 
   3.571490451540881*^9, 3.571899788479711*^9, 3.572691364234335*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
decomposition of Einstein\[CloseCurlyQuote]s equations\
\>", "Subsection",
 CellChangeTimes->{{3.548959684967298*^9, 3.548959691347014*^9}, {
  3.571489901602862*^9, 3.571489909703541*^9}}],

Cell["\<\
Any tensor can be decomposed into its spatial, normal and mixed components, \
as can be seen in this example:\
\>", "Text",
 CellChangeTimes->{{3.571489168406163*^9, 3.571489198211287*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefTensor", "[", 
  RowBox[{
   RowBox[{"TMP", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], ",", "M"}], "]"}]], "Input",
 CellChangeTimes->{{3.571489006453127*^9, 3.571489024536306*^9}, {
  3.571489555069165*^9, 3.571489555377819*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"TMP", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`TMP[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.571899796425565*^9, 3.57269136604426*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"InducedDecomposition", "[", 
   RowBox[{
    RowBox[{"TMP", "[", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"hh", ",", "u"}], "}"}]}], "]"}], 
  RowBox[{"(*", 
   RowBox[{"/.", "ruleProj"}], "*)"}], "//", "NoScalar"}]], "Input",
 CellChangeTimes->{{3.571489028419425*^9, 3.571489100454276*^9}}],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[
    RowBox[{
     UnderscriptBox["P", "h"], "[", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"TMP", 
          StyleBox[GridBox[{
             {" ", " "},
             {"a", "b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`TMP[-$CellContext`a, -$CellContext`b],
      Editable->False], "]"}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`Projectorhh[
    $CellContext`TMP[-$CellContext`a, -$CellContext`b]],
   Editable->False], "-", 
  RowBox[{
   InterpretationBox[
    StyleBox[
     RowBox[{
      UnderscriptBox["P", "h"], "[", 
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"TMP", 
            StyleBox[GridBox[{
               {" ", " "},
               {"c", "b"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`TMP[-$CellContext`c, -$CellContext`b],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"u", 
            StyleBox[GridBox[{
               {"c"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`u[$CellContext`c],
        Editable->False]}], "]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Projectorhh[$CellContext`TMP[-$CellContext`c, \
-$CellContext`b] $CellContext`u[$CellContext`c]],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"a"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`a],
    Editable->False]}], "-", 
  RowBox[{
   InterpretationBox[
    StyleBox[
     RowBox[{
      UnderscriptBox["P", "h"], "[", 
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"TMP", 
            StyleBox[GridBox[{
               {" ", " "},
               {"a", "c"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`TMP[-$CellContext`a, -$CellContext`c],
        Editable->False], " ", 
       InterpretationBox[
        StyleBox[GridBox[{
           {"u", 
            StyleBox[GridBox[{
               {"c"},
               {" "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`u[$CellContext`c],
        Editable->False]}], "]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Projectorhh[$CellContext`TMP[-$CellContext`a, \
-$CellContext`c] $CellContext`u[$CellContext`c]],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`b],
    Editable->False]}], "+", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"TMP", 
        StyleBox[GridBox[{
           {" ", " "},
           {"c", "d"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`TMP[-$CellContext`c, -$CellContext`d],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"a"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`a],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {"c"},
           {" "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[$CellContext`c],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {"d"},
           {" "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[$CellContext`d],
    Editable->False]}]}]], "Output",
 CellChangeTimes->{{3.571489038709708*^9, 3.5714891010953627`*^9}, {
   3.5714895502058783`*^9, 3.5714895572909307`*^9}, 3.5718997972861032`*^9, 
   3.572691367507328*^9}]
}, Open  ]],

Cell["\<\
We now want to split the Einstein\[CloseCurlyQuote]s equations in a similar \
manner. Therefore we introduce two additional tensor fields which will denote \
the decomposed equations of motion. Conveniently, xtensor already knows how \
the Gauss-Codazzi relations for the Riemann and Ricci tensor, which we can \
easily apply.
Note, that we will substitute the various projections of the energy momentum \
tensor as defined above.\
\>", "Text",
 CellChangeTimes->{{3.571489208712117*^9, 3.571489357698678*^9}, {
  3.571489409245255*^9, 3.571489439110716*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"DefTensor", "[", 
   RowBox[{
    RowBox[{"DEE1", "[", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "]"}], ",", "M", ",", 
    RowBox[{"Symmetric", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "a"}], ",", 
       RowBox[{"-", "b"}]}], "}"}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DefTensor", "[", 
   RowBox[{
    RowBox[{"DEE2", "[", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "]"}], ",", "M", ",", 
    RowBox[{"Symmetric", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "a"}], ",", 
       RowBox[{"-", "b"}]}], "}"}], "]"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.548959692707201*^9, 3.548959712017828*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"DEE1", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`DEE1[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.571480749264223*^9, 3.571482748020135*^9, 
  3.571489306498258*^9, 3.5714895597141237`*^9, 3.571899800332543*^9, 
  3.572691369586804*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"DEE2", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`DEE2[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.571480749264223*^9, 3.571482748020135*^9, 
  3.571489306498258*^9, 3.5714895597141237`*^9, 3.571899800332543*^9, 
  3.5726913696012907`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DEE1", "[", 
   RowBox[{
    RowBox[{"-", "a_"}], ",", 
    RowBox[{"-", "b_"}]}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"InducedDecomposition", "[", 
         RowBox[{
          RowBox[{"GaussCodazzi", "[", 
           RowBox[{"EE1", "[", 
            RowBox[{
             RowBox[{"-", "a"}], ",", 
             RowBox[{"-", "b"}]}], "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"hh", ",", "u"}], "}"}]}], "]"}], "/.", "ruleProj"}], "/.",
        "rule\[Rho]"}], "/.", "ruleji"}], "/.", "ruleSij"}], "//", 
    "NoScalar"}], "//", "Simplification"}]}]], "Input",
 CellChangeTimes->{{3.571480751368215*^9, 3.571480830818413*^9}, 
   3.57148614640563*^9, {3.5714861769855957`*^9, 3.5714862081591263`*^9}, {
   3.571489308797389*^9, 3.5714893092368*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"2", " ", 
    InterpretationBox[
     StyleBox["\[Alpha]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[Alpha][],
     Editable->False]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {" ", " "},
             {"a", "b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ExtrinsicKhh[-$CellContext`a, -$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {"c", " "},
             {" ", "c"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ExtrinsicKhh[$CellContext`c, -$CellContext`c],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False]}], "-", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {"c", " "},
             {" ", "c"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ExtrinsicKhh[$CellContext`c, -$CellContext`c],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {"d", " "},
             {" ", "d"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ExtrinsicKhh[$CellContext`d, -$CellContext`d],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"h", 
          StyleBox[GridBox[{
             {" ", " "},
             {"a", "b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`hh[-$CellContext`a, -$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False]}], "+", 
    RowBox[{"2", " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {
          RowBox[{"R", "[", "D", "]"}], 
          StyleBox[GridBox[{
             {" ", " "},
             {"a", "b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Riccicd[-$CellContext`a, -$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False]}], "-", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"h", 
          StyleBox[GridBox[{
             {" ", " "},
             {"a", "b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`hh[-$CellContext`a, -$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[
       RowBox[{"R", "[", "D", "]"}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`RicciScalarcd[],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False]}], "-", 
    RowBox[{"16", " ", 
     InterpretationBox[
      StyleBox["GD",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`GD,
      Editable->False], " ", "\[Pi]", " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"Sij", 
          StyleBox[GridBox[{
             {" ", " "},
             {"a", "b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`Sij[-$CellContext`a, -$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False]}], "-", 
    RowBox[{"16", " ", 
     InterpretationBox[
      StyleBox["GD",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`GD,
      Editable->False], " ", "\[Pi]", " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"ji", 
          StyleBox[GridBox[{
             {" "},
             {"b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ji[-$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {" "},
             {"a"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[-$CellContext`a],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False]}], "-", 
    RowBox[{"16", " ", 
     InterpretationBox[
      StyleBox["GD",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`GD,
      Editable->False], " ", "\[Pi]", " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"ji", 
          StyleBox[GridBox[{
             {" "},
             {"a"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ji[-$CellContext`a],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {" "},
             {"b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[-$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False]}], "+", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {"c", " "},
             {" ", "c"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ExtrinsicKhh[$CellContext`c, -$CellContext`c],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {"d", " "},
             {" ", "d"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ExtrinsicKhh[$CellContext`d, -$CellContext`d],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {" "},
             {"a"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[-$CellContext`a],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {" "},
             {"b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[-$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False]}], "+", 
    RowBox[{
     InterpretationBox[
      StyleBox[
       RowBox[{"R", "[", "D", "]"}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`RicciScalarcd[],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {" "},
             {"a"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[-$CellContext`a],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {" "},
             {"b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[-$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False]}], "-", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {" ", " "},
             {"c", "d"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ExtrinsicKhh[-$CellContext`c, -$CellContext`d],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {"c", "d"},
             {" ", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ExtrinsicKhh[$CellContext`c, $CellContext`d],
      Editable->False], " ", 
     RowBox[{"(", 
      RowBox[{
       InterpretationBox[
        StyleBox[GridBox[{
           {"h", 
            StyleBox[GridBox[{
               {" ", " "},
               {"a", "b"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}],
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`hh[-$CellContext`a, -$CellContext`b],
        Editable->False], "+", 
       RowBox[{
        InterpretationBox[
         StyleBox[GridBox[{
            {"u", 
             StyleBox[GridBox[{
                {" "},
                {"a"}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                    Offset[0.]}}, "RowsIndexed" -> {}}],
              FontSize->9]}
           },
           
           GridBoxAlignment->{
            "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
             "Rows" -> {{Center}}, "RowsIndexed" -> {}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}, "RowsIndexed" -> {}}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`u[-$CellContext`a],
         Editable->False], " ", 
        InterpretationBox[
         StyleBox[GridBox[{
            {"u", 
             StyleBox[GridBox[{
                {" "},
                {"b"}
               },
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.], {
                    Offset[0.034999999999999996`]}, 
                   Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                    Offset[0.]}}, "RowsIndexed" -> {}}],
              FontSize->9]}
           },
           
           GridBoxAlignment->{
            "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
             "Rows" -> {{Center}}, "RowsIndexed" -> {}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.034999999999999996`]}, 
               Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}, "RowsIndexed" -> {}}],
          ShowAutoStyles->False,
          AutoSpacing->False],
         $CellContext`u[-$CellContext`b],
         Editable->False]}]}], ")"}], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False]}], "-", 
    RowBox[{"16", " ", 
     InterpretationBox[
      StyleBox["GD",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`GD,
      Editable->False], " ", "\[Pi]", " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {" "},
             {"a"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[-$CellContext`a],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {" "},
             {"b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[-$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Rho]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Rho][],
      Editable->False]}], "-", 
    RowBox[{"2", " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {" "},
             {"b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[-$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox["D", "a"], GridBox[{
           {"Kh", 
            StyleBox[GridBox[{
               {"c", " "},
               {" ", "c"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`a][
        $CellContext`ExtrinsicKhh[$CellContext`c, -$CellContext`c]],
       Editable->False], ")"}]}], "-", 
    RowBox[{"2", " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {" "},
             {"a"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[-$CellContext`a],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox["D", "b"], GridBox[{
           {"Kh", 
            StyleBox[GridBox[{
               {"c", " "},
               {" ", "c"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`b][
        $CellContext`ExtrinsicKhh[$CellContext`c, -$CellContext`c]],
       Editable->False], ")"}]}], "-", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox["D", "b"], 
         SubscriptBox["D", "a"], "\[Alpha]"}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`b][
        $CellContext`cd[-$CellContext`a][
         $CellContext`\[Alpha][]]],
       Editable->False], ")"}]}], "+", 
    RowBox[{"2", " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {" "},
             {"b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[-$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox["D", "c"], GridBox[{
           {"Kh", 
            StyleBox[GridBox[{
               {" ", "c"},
               {"a", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`c][
        $CellContext`ExtrinsicKhh[-$CellContext`a, $CellContext`c]],
       Editable->False], ")"}]}], "+", 
    RowBox[{"2", " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {" "},
             {"a"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[-$CellContext`a],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox["D", "c"], GridBox[{
           {"Kh", 
            StyleBox[GridBox[{
               {" ", "c"},
               {"b", " "}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`c][
        $CellContext`ExtrinsicKhh[-$CellContext`b, $CellContext`c]],
       Editable->False], ")"}]}], "+", 
    RowBox[{"2", " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"h", 
          StyleBox[GridBox[{
             {" ", " "},
             {"a", "b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`hh[-$CellContext`a, -$CellContext`b],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox["D", "c"], 
         SuperscriptBox["D", "c"], "\[Alpha]"}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`cd[-$CellContext`c][
        $CellContext`cd[$CellContext`c][
         $CellContext`\[Alpha][]]],
       Editable->False], ")"}]}], "-", 
    RowBox[{"2", " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"h", 
          StyleBox[GridBox[{
             {" ", "d"},
             {"a", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`hh[-$CellContext`a, $CellContext`d],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"h", 
          StyleBox[GridBox[{
             {" ", "e"},
             {"b", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`hh[-$CellContext`b, $CellContext`e],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {"c"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[$CellContext`c],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox["\[EmptyDownTriangle]", "c"], GridBox[{
           {"Kh", 
            StyleBox[GridBox[{
               {" ", " "},
               {"d", "e"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`CD[-$CellContext`c][
        $CellContext`ExtrinsicKhh[-$CellContext`d, -$CellContext`e]],
       Editable->False], ")"}]}], "+", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"h", 
          StyleBox[GridBox[{
             {" ", " "},
             {"a", "b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`hh[-$CellContext`a, -$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"h", 
          StyleBox[GridBox[{
             {"d", "e"},
             {" ", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`hh[$CellContext`d, $CellContext`e],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {"c"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[$CellContext`c],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox["\[EmptyDownTriangle]", "c"], GridBox[{
           {"Kh", 
            StyleBox[GridBox[{
               {" ", " "},
               {"d", "e"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`CD[-$CellContext`c][
        $CellContext`ExtrinsicKhh[-$CellContext`d, -$CellContext`e]],
       Editable->False], ")"}]}], "-", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"h", 
          StyleBox[GridBox[{
             {"d", "e"},
             {" ", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`hh[$CellContext`d, $CellContext`e],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {" "},
             {"a"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[-$CellContext`a],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {" "},
             {"b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[-$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {"c"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[$CellContext`c],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox["\[EmptyDownTriangle]", "c"], GridBox[{
           {"Kh", 
            StyleBox[GridBox[{
               {" ", " "},
               {"d", "e"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`CD[-$CellContext`c][
        $CellContext`ExtrinsicKhh[-$CellContext`d, -$CellContext`e]],
       Editable->False], ")"}]}], "+", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"h", 
          StyleBox[GridBox[{
             {" ", " "},
             {"a", "b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`hh[-$CellContext`a, -$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {"c"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[$CellContext`c],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox["\[EmptyDownTriangle]", "c"], GridBox[{
           {"Kh", 
            StyleBox[GridBox[{
               {"d", " "},
               {" ", "d"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`CD[-$CellContext`c][
        $CellContext`ExtrinsicKhh[$CellContext`d, -$CellContext`d]],
       Editable->False], ")"}]}], "+", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {" "},
             {"a"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[-$CellContext`a],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {" "},
             {"b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[-$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {"c"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[$CellContext`c],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox["\[Alpha]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Alpha][],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox["\[EmptyDownTriangle]", "c"], GridBox[{
           {"Kh", 
            StyleBox[GridBox[{
               {"d", " "},
               {" ", "d"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`CD[-$CellContext`c][
        $CellContext`ExtrinsicKhh[$CellContext`d, -$CellContext`d]],
       Editable->False], ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.571486147345117*^9, {3.571486183178458*^9, 3.5714862090765457`*^9}, 
   3.571489561977797*^9, 3.571489875665348*^9, 3.5714904577899437`*^9, 
   3.571899802131894*^9, 3.5726913722339697`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DEE2", "[", 
   RowBox[{
    RowBox[{"-", "a_"}], ",", 
    RowBox[{"-", "b_"}]}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"InducedDecomposition", "[", 
          RowBox[{
           RowBox[{"GaussCodazzi", "[", 
            RowBox[{"EE2", "[", 
             RowBox[{
              RowBox[{"-", "a"}], ",", 
              RowBox[{"-", "b"}]}], "]"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"hh", ",", "u"}], "}"}]}], "]"}], "/.", "ruleProj"}], "/.",
         "rule\[Rho]"}], "/.", "ruleji"}], "/.", "ruleSij"}], "//", 
     "NoScalar"}], "//", "MetricToProjector"}], "//", 
   "Simplification"}]}]], "Input",
 CellChangeTimes->{{3.5714808328020906`*^9, 3.5714808975000467`*^9}, {
   3.571486219536317*^9, 3.571486242118525*^9}, {3.5714863286813*^9, 
   3.5714863356075478`*^9}, {3.571489388537404*^9, 3.571489389233459*^9}, 
   3.571489586270091*^9, {3.571489848155942*^9, 3.5714898529938498`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {"c", " "},
           {" ", "c"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[$CellContext`c, -$CellContext`c],
    Editable->False]}], "+", 
  InterpretationBox[
   StyleBox[GridBox[{
      {
       RowBox[{"R", "[", "D", "]"}], 
       StyleBox[GridBox[{
          {" ", " "},
          {"a", "b"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
              Offset[0.]}}, "RowsIndexed" -> {}}],
        FontSize->9]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`Riccicd[-$CellContext`a, -$CellContext`b],
   Editable->False], "-", 
  RowBox[{"8", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Sij", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Sij[-$CellContext`a, -$CellContext`b],
    Editable->False]}], "+", 
  RowBox[{"4", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Sij", 
        StyleBox[GridBox[{
           {"c", " "},
           {" ", "c"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Sij[$CellContext`c, -$CellContext`c],
    Editable->False]}], "-", 
  RowBox[{"8", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"ji", 
        StyleBox[GridBox[{
           {" "},
           {"b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ji[-$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"a"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`a],
    Editable->False]}], "-", 
  RowBox[{"8", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"ji", 
        StyleBox[GridBox[{
           {" "},
           {"a"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ji[-$CellContext`a],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`b],
    Editable->False]}], "-", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {" ", " "},
           {"c", "d"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[-$CellContext`c, -$CellContext`d],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {"c", "d"},
           {" ", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[$CellContext`c, $CellContext`d],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"a"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`a],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`b],
    Editable->False]}], "-", 
  RowBox[{"4", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Sij", 
        StyleBox[GridBox[{
           {"c", " "},
           {" ", "c"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Sij[$CellContext`c, -$CellContext`c],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"a"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`a],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`b],
    Editable->False]}], "-", 
  RowBox[{"4", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox["\[Rho]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Rho][],
    Editable->False]}], "-", 
  RowBox[{"4", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"a"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`a],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox["\[Rho]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Rho][],
    Editable->False]}], "-", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`b],
    Editable->False], " ", 
   RowBox[{"(", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["D", "a"], GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {"c", " "},
             {" ", "c"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`cd[-$CellContext`a][
      $CellContext`ExtrinsicKhh[$CellContext`c, -$CellContext`c]],
     Editable->False], ")"}]}], "-", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"a"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`a],
    Editable->False], " ", 
   RowBox[{"(", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["D", "b"], GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {"c", " "},
             {" ", "c"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`cd[-$CellContext`b][
      $CellContext`ExtrinsicKhh[$CellContext`c, -$CellContext`c]],
     Editable->False], ")"}]}], "-", 
  FractionBox[
   InterpretationBox[
    StyleBox[
     RowBox[{
      SubscriptBox["D", "b"], 
      SubscriptBox["D", "a"], "\[Alpha]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`cd[-$CellContext`b][
     $CellContext`cd[-$CellContext`a][
      $CellContext`\[Alpha][]]],
    Editable->False], 
   InterpretationBox[
    StyleBox["\[Alpha]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Alpha][],
    Editable->False]], "+", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`b],
    Editable->False], " ", 
   RowBox[{"(", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["D", "c"], GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {" ", "c"},
             {"a", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`cd[-$CellContext`c][
      $CellContext`ExtrinsicKhh[-$CellContext`a, $CellContext`c]],
     Editable->False], ")"}]}], "+", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"a"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`a],
    Editable->False], " ", 
   RowBox[{"(", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["D", "c"], GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {" ", "c"},
             {"b", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`cd[-$CellContext`c][
      $CellContext`ExtrinsicKhh[-$CellContext`b, $CellContext`c]],
     Editable->False], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {"u", 
         StyleBox[GridBox[{
            {" "},
            {"a"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                Offset[0.]}}, "RowsIndexed" -> {}}],
          FontSize->9]}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`u[-$CellContext`a],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"u", 
         StyleBox[GridBox[{
            {" "},
            {"b"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                Offset[0.]}}, "RowsIndexed" -> {}}],
          FontSize->9]}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`u[-$CellContext`b],
     Editable->False], " ", 
    RowBox[{"(", 
     InterpretationBox[
      StyleBox[
       RowBox[{
        SubscriptBox["D", "c"], 
        SuperscriptBox["D", "c"], "\[Alpha]"}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`cd[-$CellContext`c][
       $CellContext`cd[$CellContext`c][
        $CellContext`\[Alpha][]]],
      Editable->False], ")"}]}], 
   InterpretationBox[
    StyleBox["\[Alpha]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Alpha][],
    Editable->False]], "-", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", "d"},
           {"a", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`a, $CellContext`d],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", "e"},
           {"b", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`b, $CellContext`e],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {"c"},
           {" "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[$CellContext`c],
    Editable->False], " ", 
   RowBox[{"(", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["\[EmptyDownTriangle]", "c"], GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {" ", " "},
             {"d", "e"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`CD[-$CellContext`c][
      $CellContext`ExtrinsicKhh[-$CellContext`d, -$CellContext`e]],
     Editable->False], ")"}]}], "+", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"a"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`a],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {" "},
           {"b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[-$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {"c"},
           {" "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[$CellContext`c],
    Editable->False], " ", 
   RowBox[{"(", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["\[EmptyDownTriangle]", "c"], GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {"d", " "},
             {" ", "d"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`CD[-$CellContext`c][
      $CellContext`ExtrinsicKhh[$CellContext`d, -$CellContext`d]],
     Editable->False], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.571486220325596*^9, 3.5714862430271797`*^9}, {
   3.571486334233037*^9, 3.5714863362700577`*^9}, 3.5714895873950644`*^9, {
   3.571489857866214*^9, 3.5714898769653673`*^9}, 3.571490459207637*^9, 
   3.57189980410949*^9, 3.572691374198997*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Hamiltonian constraint", "Subsection",
 CellChangeTimes->{{3.5714899245524817`*^9, 3.5714899306098433`*^9}}],

Cell["\<\
The Hamiltonian constraint \[ScriptCapitalH] is given by the contraction of \
the EoMs with the normal vector $u^a$:
\[ScriptCapitalH] = EE1_{ab} u^a u^b = 0\
\>", "Text",
 CellChangeTimes->{{3.571489937680225*^9, 3.571490032124694*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"DefTensor", "[", 
  RowBox[{
   RowBox[{"tmp1\[ScriptCapitalH]", "[", "]"}], ",", "M"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"DefTensor", "[", 
  RowBox[{
   RowBox[{"tmp2\[ScriptCapitalH]", "[", "]"}], ",", "M"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"DefTensor", "[", 
  RowBox[{
   RowBox[{"\[ScriptCapitalH]", "[", "]"}], ",", "M"}], "]"}]}], "Input",
 CellChangeTimes->{{3.510492137429859*^9, 3.510492147318773*^9}, {
   3.510573847361595*^9, 3.510573847705432*^9}, {3.5158410329521723`*^9, 
   3.515841033491908*^9}, 3.548529911818277*^9, {3.548530619312461*^9, 
   3.54853062037393*^9}, {3.5489606281161127`*^9, 3.548960632881274*^9}, {
   3.548960941193823*^9, 3.548960944332389*^9}, {3.571482362012498*^9, 
   3.571482374546392*^9}, 3.57149001981104*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"tmp1\[ScriptCapitalH]", "[", "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`tmp1\[ScriptCapitalH][], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.571482751913618*^9, 3.571490020909246*^9, 
  3.57189982330647*^9, 3.572691376649123*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"tmp2\[ScriptCapitalH]", "[", "]"}], 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`tmp2\[ScriptCapitalH][], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.571482751913618*^9, 3.571490020909246*^9, 
  3.57189982330647*^9, 3.572691376662311*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"\[ScriptCapitalH]", "[", "]"}], "\[InvisibleSpace]", "\<\". \"\>",
    "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`\[ScriptCapitalH][], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.571482751913618*^9, 3.571490020909246*^9, 
  3.57189982330647*^9, 3.572691376674124*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"tmp1\[ScriptCapitalH]", "[", "]"}], "=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"u", "[", "a", "]"}], 
      RowBox[{"u", "[", "b", "]"}], 
      RowBox[{"DEE1", "[", 
       RowBox[{
        RowBox[{"-", "a"}], ",", 
        RowBox[{"-", "b"}]}], "]"}]}], "//", "Simplification"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.571480927142761*^9, 3.57148096991194*^9}, 
   3.571490022992221*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      InterpretationBox[
       StyleBox[GridBox[{
          {"Kh", 
           StyleBox[GridBox[{
              {" ", " "},
              {"a", "b"}
             },
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.], {
                  Offset[0.034999999999999996`]}, 
                 Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                  Offset[0.]}}, "RowsIndexed" -> {}}],
            FontSize->9]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Center}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.034999999999999996`]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`ExtrinsicKhh[-$CellContext`a, -$CellContext`b],
       Editable->False]}], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {"a", "b"},
             {" ", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ExtrinsicKhh[$CellContext`a, $CellContext`b],
      Editable->False]}], "+", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {"a", " "},
             {" ", "a"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ExtrinsicKhh[$CellContext`a, -$CellContext`a],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {"b", " "},
             {" ", "b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ExtrinsicKhh[$CellContext`b, -$CellContext`b],
      Editable->False]}], "+", 
    InterpretationBox[
     StyleBox[
      RowBox[{"R", "[", "D", "]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`RicciScalarcd[],
     Editable->False], "-", 
    RowBox[{"16", " ", 
     InterpretationBox[
      StyleBox["GD",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`GD,
      Editable->False], " ", "\[Pi]", " ", 
     InterpretationBox[
      StyleBox["\[Rho]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Rho][],
      Editable->False]}], "-", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"h", 
          StyleBox[GridBox[{
             {"b", "c"},
             {" ", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`hh[$CellContext`b, $CellContext`c],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {"a"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[$CellContext`a],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox["\[EmptyDownTriangle]", "a"], GridBox[{
           {"Kh", 
            StyleBox[GridBox[{
               {" ", " "},
               {"b", "c"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`CD[-$CellContext`a][
        $CellContext`ExtrinsicKhh[-$CellContext`b, -$CellContext`c]],
       Editable->False], ")"}]}], "+", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"u", 
          StyleBox[GridBox[{
             {"a"},
             {" "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`u[$CellContext`a],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox["\[EmptyDownTriangle]", "a"], GridBox[{
           {"Kh", 
            StyleBox[GridBox[{
               {"b", " "},
               {" ", "b"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       $CellContext`CD[-$CellContext`a][
        $CellContext`ExtrinsicKhh[$CellContext`b, -$CellContext`b]],
       Editable->False], ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.5714809305343857`*^9, 3.571480970388659*^9}, 
   3.571482753207406*^9, 3.571486253152533*^9, 3.571490025683136*^9, 
   3.571490464798191*^9, 3.57189982435572*^9, 3.57269137831481*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"tmp2\[ScriptCapitalH]", "[", "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"ToInducedDerivative", "[", 
     RowBox[{
      RowBox[{"tmp1\[ScriptCapitalH]", "[", "]"}], ",", "CD", ",", "cd"}], 
     "]"}], "//", "GradNormalToExtrinsicK"}], "//", 
   "Simplification"}]}]], "Input",
 CellChangeTimes->{{3.571480973025741*^9, 3.571481001278075*^9}, {
   3.571481040941893*^9, 3.571481043684173*^9}, {3.571481116804966*^9, 
   3.571481156819285*^9}, {3.571482337661878*^9, 3.571482391676003*^9}, 
   3.571490041715597*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "3"}], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {" ", " "},
             {"a", "b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ExtrinsicKhh[-$CellContext`a, -$CellContext`b],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {"a", "b"},
             {" ", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ExtrinsicKhh[$CellContext`a, $CellContext`b],
      Editable->False]}], "+", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {"a", " "},
             {" ", "a"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ExtrinsicKhh[$CellContext`a, -$CellContext`a],
      Editable->False], " ", 
     InterpretationBox[
      StyleBox[GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {"b", " "},
             {" ", "b"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`ExtrinsicKhh[$CellContext`b, -$CellContext`b],
      Editable->False]}], "+", 
    InterpretationBox[
     StyleBox[
      RowBox[{"R", "[", "D", "]"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`RicciScalarcd[],
     Editable->False], "-", 
    RowBox[{"16", " ", 
     InterpretationBox[
      StyleBox["GD",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`GD,
      Editable->False], " ", "\[Pi]", " ", 
     InterpretationBox[
      StyleBox["\[Rho]",
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`\[Rho][],
      Editable->False]}], "-", 
    RowBox[{
     InterpretationBox[
      StyleBox[GridBox[{
         {"h", 
          StyleBox[GridBox[{
             {"a", "b"},
             {" ", " "}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}],
       ShowAutoStyles->False,
       AutoSpacing->False],
      $CellContext`hh[$CellContext`a, $CellContext`b],
      Editable->False], " ", 
     RowBox[{"(", 
      InterpretationBox[
       StyleBox[
        RowBox[{
         SubscriptBox["\[ScriptCapitalL]", "u"], GridBox[{
           {"Kh", 
            StyleBox[GridBox[{
               {" ", " "},
               {"a", "b"}
              },
              GridBoxSpacings->{"Columns" -> {
                  Offset[0.], {
                   Offset[0.034999999999999996`]}, 
                  Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                   Offset[0.]}}, "RowsIndexed" -> {}}],
             FontSize->9]}
          },
          
          GridBoxAlignment->{
           "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Center}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.034999999999999996`]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}}]}],
        ShowAutoStyles->False,
        AutoSpacing->False],
       xAct`xTensor`LieD[
        $CellContext`u[$CellContext`a]][
        $CellContext`ExtrinsicKhh[-$CellContext`a, -$CellContext`b]],
       Editable->False], ")"}]}], "+", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["\[ScriptCapitalL]", "u"], GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {"a", " "},
             {" ", "a"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     xAct`xTensor`LieD[
      $CellContext`u[$CellContext`a]][
      $CellContext`ExtrinsicKhh[$CellContext`a, -$CellContext`a]],
     Editable->False]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.5714809838387947`*^9, 3.571481001889669*^9}, 
   3.5714810440233803`*^9, {3.571481128231637*^9, 3.571481157245818*^9}, 
   3.571481308340294*^9, {3.571482334036028*^9, 3.571482391987817*^9}, 
   3.571482754331379*^9, 3.5714862548936663`*^9, 3.571490042207225*^9, 
   3.571490465495739*^9, 3.57189982551544*^9, 3.572691379511014*^9}]
}, Open  ]],

Cell["\<\
The last two term obviously are not simplified in the most desireable way. \
Therefore, we enforce the Leibniz rule and arrive at the expression for the \
Hamiltonian constraint given in NumRel textbooks.\
\>", "Text",
 CellChangeTimes->{{3.571490074720142*^9, 3.571490145752583*^9}, {
  3.571490217100974*^9, 3.571490336236718*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rule\[ScriptCapitalH]", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"hh", "[", 
      RowBox[{"a_", ",", "b_"}], "]"}], 
     RowBox[{
      RowBox[{"LieD", "[", 
       RowBox[{"u", "[", "c_", "]"}], "]"}], "[", 
      RowBox[{"ExtrinsicKhh", "[", 
       RowBox[{
        RowBox[{"-", "a_"}], ",", 
        RowBox[{"-", "b_"}]}], "]"}], "]"}]}], "\[RuleDelayed]", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"LieD", "[", 
         RowBox[{"u", "[", "c", "]"}], "]"}], "[", 
        RowBox[{"ExtrinsicKhh", "[", 
         RowBox[{"d", ",", 
          RowBox[{"-", "d"}]}], "]"}], "]"}], "-", 
       RowBox[{
        RowBox[{"ExtrinsicKhh", "[", 
         RowBox[{
          RowBox[{"-", "d"}], ",", 
          RowBox[{"-", "e"}]}], "]"}], 
        RowBox[{
         RowBox[{"LieD", "[", 
          RowBox[{"u", "[", "c", "]"}], "]"}], "[", 
         RowBox[{"hh", "[", 
          RowBox[{"d", ",", "e"}], "]"}], "]"}]}]}]}], "]"}]}]}], 
  ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"\[ScriptCapitalH]", "[", "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"tmp2\[ScriptCapitalH]", "[", "]"}]}], "/.", 
    "rule\[ScriptCapitalH]"}], "//", "Simplification"}]}]], "Input",
 CellChangeTimes->{{3.5714824056932917`*^9, 3.571482444917307*^9}, {
  3.571482574411921*^9, 3.571482577793577*^9}, {3.571486262412938*^9, 
  3.571486262558769*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"Kh", 
         StyleBox[GridBox[{
            {" ", " "},
            {"a", "b"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                Offset[0.]}}, "RowsIndexed" -> {}}],
          FontSize->9]}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ExtrinsicKhh[-$CellContext`a, -$CellContext`b],
     Editable->False]}], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {"a", "b"},
           {" ", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[$CellContext`a, $CellContext`b],
    Editable->False]}], "+", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {"a", " "},
           {" ", "a"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[$CellContext`a, -$CellContext`a],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {"b", " "},
           {" ", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[$CellContext`b, -$CellContext`b],
    Editable->False]}], "+", 
  InterpretationBox[
   StyleBox[
    RowBox[{"R", "[", "D", "]"}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`RicciScalarcd[],
   Editable->False], "-", 
  RowBox[{"16", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox["\[Rho]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Rho][],
    Editable->False]}]}]], "Output",
 CellChangeTimes->{{3.5714824137230797`*^9, 3.5714824455124063`*^9}, 
   3.571482578148836*^9, 3.57148275671307*^9, 3.571482819747961*^9, {
   3.571486257746477*^9, 3.571486262987413*^9}, 3.571490340430723*^9, 
   3.5714904674968557`*^9, 3.5718998285599117`*^9, 3.5726913820657187`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Momentum constraint", "Subsection",
 CellChangeTimes->{{3.571490352842861*^9, 3.571490356167658*^9}}],

Cell["\<\
Next we compute the momentum constraint which is the mixed projection of the \
EoMs:
\[ScriptCapitalM]_i = h^a_i EE1_{ab} u^b\
\>", "Text",
 CellChangeTimes->{{3.571490362441963*^9, 3.571490410326467*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefTensor", "[", 
  RowBox[{
   RowBox[{"\[ScriptCapitalM]", "[", 
    RowBox[{"-", "a"}], "]"}], ",", "M", ",", 
   RowBox[{"OrthogonalTo", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"u", "[", "a", "]"}], "}"}]}], ",", 
   RowBox[{"ProjectedWith", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"hh", "[", 
      RowBox[{"a", ",", 
       RowBox[{"-", "b"}]}], "]"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.510492895622425*^9, 3.510492908300048*^9}, {
  3.5105746641059933`*^9, 3.5105746653225527`*^9}, {3.548530708334579*^9, 
  3.548530715042053*^9}, {3.548961800170412*^9, 3.548961807438224*^9}, {
  3.57148287478399*^9, 3.571482874971404*^9}, {3.571490418649069*^9, 
  3.571490419128311*^9}, {3.572691383931478*^9, 3.572691384639428*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"\[ScriptCapitalM]", "[", 
    RowBox[{"-", "a"}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`\[ScriptCapitalM][-$CellContext`a], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.548530715394793*^9, 3.5489618079383287`*^9, 
  3.571482759001266*^9, 3.57149041967373*^9, 3.5718998321781607`*^9, 
  3.572691385060429*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"\[ScriptCapitalM]", "[", 
   RowBox[{"-", "a_"}], "]"}], "=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"b", ",", "c"}], "}"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"hh", "[", 
        RowBox[{
         RowBox[{"-", "a"}], ",", "b"}], "]"}], 
       RowBox[{"DEE1", "[", 
        RowBox[{
         RowBox[{"-", "b"}], ",", 
         RowBox[{"-", "c"}]}], "]"}], 
       RowBox[{"u", "[", "c", "]"}]}], "//", "Simplification"}], "//", 
     "ContractMetric"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.571482614010372*^9, 3.5714826579629183`*^9}, {
  3.571482829902034*^9, 3.5714828495043907`*^9}, {3.571486270490519*^9, 
  3.5714862709948177`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"8", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"ji", 
        StyleBox[GridBox[{
           {" "},
           {"a"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ji[-$CellContext`a],
    Editable->False]}], "+", 
  InterpretationBox[
   StyleBox[
    RowBox[{
     SubscriptBox["D", "a"], GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {"b", " "},
           {" ", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`cd[-$CellContext`a][
    $CellContext`ExtrinsicKhh[$CellContext`b, -$CellContext`b]],
   Editable->False], "-", 
  InterpretationBox[
   StyleBox[
    RowBox[{
     SubscriptBox["D", "b"], GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {" ", "b"},
           {"a", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`cd[-$CellContext`b][
    $CellContext`ExtrinsicKhh[-$CellContext`a, $CellContext`b]],
   Editable->False]}]], "Output",
 CellChangeTimes->{{3.571482622165914*^9, 3.5714826583374968`*^9}, 
   3.571482760778167*^9, 3.5714828518770933`*^9, {3.571486266401992*^9, 
   3.571486271461875*^9}, 3.571490420623396*^9, 3.571490470320414*^9, 
   3.571899833310964*^9, 3.572691385920218*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["spatial projection and evolution equation for K_{ij}", "Subsection",
 CellChangeTimes->{{3.571490482018386*^9, 3.571490498625695*^9}}],

Cell["\<\
The last possible projection of the Einstein\[CloseCurlyQuote]s equations is \
the fully spatial one. As we will see, this calculations leads to the \
evolution equation for the extrinsic curvature. Together with its definition \
$\[ScriptCapitalL]_u h_{ab} = -2 K_{ab}$ we obtain a closed system of \
evolution equations.
In this case it is convenient to perform the split on the second form of the \
EoMs, i.e., 
\[ScriptCapitalP]_{ab} = h^c_a h^d_b EE2_{cd}\
\>", "Text",
 CellChangeTimes->{{3.571490502181134*^9, 3.571490707039592*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"DefTensor", "[", 
  RowBox[{
   RowBox[{"tmp1\[ScriptCapitalP]", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], ",", "M", ",", 
   RowBox[{"Symmetric", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "}"}], "]"}], ",", 
   RowBox[{"OrthogonalTo", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"u", "[", "a", "]"}], ",", 
      RowBox[{"u", "[", "b", "]"}]}], "}"}]}], ",", 
   RowBox[{"ProjectedWith", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"hh", "[", 
       RowBox[{"a", ",", 
        RowBox[{"-", "c"}]}], "]"}], ",", 
      RowBox[{"hh", "[", 
       RowBox[{"b", ",", 
        RowBox[{"-", "d"}]}], "]"}]}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"DefTensor", "[", 
  RowBox[{
   RowBox[{"tmp2\[ScriptCapitalP]", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], ",", "M", ",", 
   RowBox[{"Symmetric", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "}"}], "]"}], ",", 
   RowBox[{"OrthogonalTo", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"u", "[", "a", "]"}], ",", 
      RowBox[{"u", "[", "b", "]"}]}], "}"}]}], ",", 
   RowBox[{"ProjectedWith", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"hh", "[", 
       RowBox[{"a", ",", 
        RowBox[{"-", "c"}]}], "]"}], ",", 
      RowBox[{"hh", "[", 
       RowBox[{"b", ",", 
        RowBox[{"-", "d"}]}], "]"}]}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"DefTensor", "[", 
  RowBox[{
   RowBox[{"\[ScriptCapitalP]", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], ",", "M", ",", 
   RowBox[{"Symmetric", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "}"}], "]"}], ",", 
   RowBox[{"OrthogonalTo", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"u", "[", "a", "]"}], ",", 
      RowBox[{"u", "[", "b", "]"}]}], "}"}]}], ",", 
   RowBox[{"ProjectedWith", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"hh", "[", 
       RowBox[{"a", ",", 
        RowBox[{"-", "c"}]}], "]"}], ",", 
      RowBox[{"hh", "[", 
       RowBox[{"b", ",", 
        RowBox[{"-", "d"}]}], "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.510494970417485*^9, 3.510494984089965*^9}, {
  3.511171288389538*^9, 3.511171289353198*^9}, {3.548531434764057*^9, 
  3.548531440606073*^9}, {3.548962610908321*^9, 3.548962617501334*^9}, {
  3.571490716419829*^9, 3.571490722103978*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"tmp1\[ScriptCapitalP]", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`tmp1\[ScriptCapitalP][-$CellContext`a, -$CellContext`b], ". ",
    ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.510495177455578*^9, 3.510495215695858*^9, 
  3.510568811327133*^9, 3.5105747816182756`*^9, 3.510934401971734*^9, 
  3.510995264020941*^9, 3.511078719068315*^9, 3.511171278224705*^9, 
  3.511461421739312*^9, 3.51152986950711*^9, 3.511533354317107*^9, 
  3.511788245913721*^9, 3.5118724724408407`*^9, 3.512209770290101*^9, 
  3.51221094234158*^9, 3.5122150554145803`*^9, 3.5123753863665237`*^9, 
  3.513933198020352*^9, 3.5157495368124313`*^9, 3.548531441383498*^9, 
  3.548962618020677*^9, 3.5714856094784927`*^9, 3.571490719235618*^9, 
  3.57189983745575*^9, 3.572691389141303*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"tmp2\[ScriptCapitalP]", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`tmp2\[ScriptCapitalP][-$CellContext`a, -$CellContext`b], ". ",
    ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.510495177455578*^9, 3.510495215695858*^9, 
  3.510568811327133*^9, 3.5105747816182756`*^9, 3.510934401971734*^9, 
  3.510995264020941*^9, 3.511078719068315*^9, 3.511171278224705*^9, 
  3.511461421739312*^9, 3.51152986950711*^9, 3.511533354317107*^9, 
  3.511788245913721*^9, 3.5118724724408407`*^9, 3.512209770290101*^9, 
  3.51221094234158*^9, 3.5122150554145803`*^9, 3.5123753863665237`*^9, 
  3.513933198020352*^9, 3.5157495368124313`*^9, 3.548531441383498*^9, 
  3.548962618020677*^9, 3.5714856094784927`*^9, 3.571490719235618*^9, 
  3.57189983745575*^9, 3.572691389181061*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"\[ScriptCapitalP]", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`\[ScriptCapitalP][-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.510495177455578*^9, 3.510495215695858*^9, 
  3.510568811327133*^9, 3.5105747816182756`*^9, 3.510934401971734*^9, 
  3.510995264020941*^9, 3.511078719068315*^9, 3.511171278224705*^9, 
  3.511461421739312*^9, 3.51152986950711*^9, 3.511533354317107*^9, 
  3.511788245913721*^9, 3.5118724724408407`*^9, 3.512209770290101*^9, 
  3.51221094234158*^9, 3.5122150554145803`*^9, 3.5123753863665237`*^9, 
  3.513933198020352*^9, 3.5157495368124313`*^9, 3.548531441383498*^9, 
  3.548962618020677*^9, 3.5714856094784927`*^9, 3.571490719235618*^9, 
  3.57189983745575*^9, 3.572691389182789*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"tmp1\[ScriptCapitalP]", "[", 
   RowBox[{
    RowBox[{"-", "a_"}], ",", 
    RowBox[{"-", "b_"}]}], "]"}], "=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"c", ",", "d"}], "}"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"hh", "[", 
       RowBox[{
        RowBox[{"-", "a"}], ",", "c"}], "]"}], 
      RowBox[{"hh", "[", 
       RowBox[{
        RowBox[{"-", "b"}], ",", "d"}], "]"}], 
      RowBox[{"DEE2", "[", 
       RowBox[{
        RowBox[{"-", "c"}], ",", 
        RowBox[{"-", "d"}]}], "]"}]}], "//", "Simplification"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.5714856204113073`*^9, 3.5714856922423973`*^9}, 
   3.5714907252757807`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {"c", " "},
           {" ", "c"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[$CellContext`c, -$CellContext`c],
    Editable->False]}], "+", 
  InterpretationBox[
   StyleBox[GridBox[{
      {
       RowBox[{"R", "[", "D", "]"}], 
       StyleBox[GridBox[{
          {" ", " "},
          {"a", "b"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
              Offset[0.]}}, "RowsIndexed" -> {}}],
        FontSize->9]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`Riccicd[-$CellContext`a, -$CellContext`b],
   Editable->False], "-", 
  RowBox[{"8", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Sij", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Sij[-$CellContext`a, -$CellContext`b],
    Editable->False]}], "+", 
  RowBox[{"4", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Sij", 
        StyleBox[GridBox[{
           {"c", " "},
           {" ", "c"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Sij[$CellContext`c, -$CellContext`c],
    Editable->False]}], "-", 
  RowBox[{"4", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox["\[Rho]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Rho][],
    Editable->False]}], "-", 
  FractionBox[
   InterpretationBox[
    StyleBox[
     RowBox[{
      SubscriptBox["D", "b"], 
      SubscriptBox["D", "a"], "\[Alpha]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`cd[-$CellContext`b][
     $CellContext`cd[-$CellContext`a][
      $CellContext`\[Alpha][]]],
    Editable->False], 
   InterpretationBox[
    StyleBox["\[Alpha]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Alpha][],
    Editable->False]], "-", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", "d"},
           {"a", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`a, $CellContext`d],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", "e"},
           {"b", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`b, $CellContext`e],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"u", 
        StyleBox[GridBox[{
           {"c"},
           {" "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`u[$CellContext`c],
    Editable->False], " ", 
   RowBox[{"(", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["\[EmptyDownTriangle]", "c"], GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {" ", " "},
             {"d", "e"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`CD[-$CellContext`c][
      $CellContext`ExtrinsicKhh[-$CellContext`d, -$CellContext`e]],
     Editable->False], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.571485625358226*^9, 3.571485692637301*^9}, 
   3.5714862797131042`*^9, 3.571486342879245*^9, 3.5714907292254066`*^9, 
   3.5718998388201513`*^9, 3.572691391239233*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"tmp2\[ScriptCapitalP]", "[", 
   RowBox[{
    RowBox[{"-", "a_"}], ",", 
    RowBox[{"-", "b_"}]}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"ToInducedDerivative", "[", 
     RowBox[{
      RowBox[{"tmp1\[ScriptCapitalP]", "[", 
       RowBox[{
        RowBox[{"-", "a"}], ",", 
        RowBox[{"-", "b"}]}], "]"}], ",", "CD", ",", "cd"}], "]"}], "//", 
    "GradNormalToExtrinsicK"}], "//", "Simplification"}]}]], "Input",
 CellChangeTimes->{{3.571485694843112*^9, 3.571485765006405*^9}, 
   3.571490733123624*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {" ", "c"},
           {"a", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[-$CellContext`a, $CellContext`c],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {" ", " "},
           {"b", "c"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[-$CellContext`b, -$CellContext`c],
    Editable->False]}], "+", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {"c", " "},
           {" ", "c"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[$CellContext`c, -$CellContext`c],
    Editable->False]}], "+", 
  InterpretationBox[
   StyleBox[GridBox[{
      {
       RowBox[{"R", "[", "D", "]"}], 
       StyleBox[GridBox[{
          {" ", " "},
          {"a", "b"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
              Offset[0.]}}, "RowsIndexed" -> {}}],
        FontSize->9]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`Riccicd[-$CellContext`a, -$CellContext`b],
   Editable->False], "-", 
  RowBox[{"8", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Sij", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Sij[-$CellContext`a, -$CellContext`b],
    Editable->False]}], "+", 
  RowBox[{"4", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Sij", 
        StyleBox[GridBox[{
           {"c", " "},
           {" ", "c"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Sij[$CellContext`c, -$CellContext`c],
    Editable->False]}], "-", 
  RowBox[{"4", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox["\[Rho]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Rho][],
    Editable->False]}], "-", 
  FractionBox[
   InterpretationBox[
    StyleBox[
     RowBox[{
      SubscriptBox["D", "b"], 
      SubscriptBox["D", "a"], "\[Alpha]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`cd[-$CellContext`b][
     $CellContext`cd[-$CellContext`a][
      $CellContext`\[Alpha][]]],
    Editable->False], 
   InterpretationBox[
    StyleBox["\[Alpha]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Alpha][],
    Editable->False]], "-", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", "c"},
           {"a", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`a, $CellContext`c],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", "d"},
           {"b", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`b, $CellContext`d],
    Editable->False], " ", 
   RowBox[{"(", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["\[ScriptCapitalL]", "u"], GridBox[{
         {"Kh", 
          StyleBox[GridBox[{
             {" ", " "},
             {"c", "d"}
            },
            GridBoxSpacings->{"Columns" -> {
                Offset[0.], {
                 Offset[0.034999999999999996`]}, 
                Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                 Offset[0.]}}, "RowsIndexed" -> {}}],
           FontSize->9]}
        },
        GridBoxAlignment->{
         "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
          "Rows" -> {{Center}}, "RowsIndexed" -> {}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.034999999999999996`]}, 
            Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
          "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}, "RowsIndexed" -> {}}]}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     xAct`xTensor`LieD[
      $CellContext`u[$CellContext`a]][
      $CellContext`ExtrinsicKhh[-$CellContext`c, -$CellContext`d]],
     Editable->False], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.571485701946143*^9, 3.571485731537917*^9}, 
   3.571485765691485*^9, 3.57148628234933*^9, 3.571486343854888*^9, 
   3.571490733514626*^9, 3.571899841287026*^9, 3.572691392313369*^9}]
}, Open  ]],

Cell["\<\
Again, the last term has not been simplified in the most desireable form and \
we enforce the Leibnizrule again. Thus, we arrive at a prescription for \
\[ScriptCapitalL]_u K_{ij} -- the time evolution equation for K_{ij}\
\>", "Text",
 CellChangeTimes->{{3.571490748541123*^9, 3.571490841544073*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rule\[ScriptCapitalP]", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"hh", "[", 
      RowBox[{
       RowBox[{"-", "a_"}], ",", "c_"}], "]"}], 
     RowBox[{"hh", "[", 
      RowBox[{
       RowBox[{"-", "b_"}], ",", "d_"}], "]"}], 
     RowBox[{
      RowBox[{"LieD", "[", 
       RowBox[{"u", "[", "e_", "]"}], "]"}], "[", 
      RowBox[{"ExtrinsicKhh", "[", 
       RowBox[{
        RowBox[{"-", "c_"}], ",", 
        RowBox[{"-", "d_"}]}], "]"}], "]"}]}], "\[RuleDelayed]", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"LieD", "[", 
         RowBox[{"u", "[", "c", "]"}], "]"}], "[", 
        RowBox[{"ExtrinsicKhh", "[", 
         RowBox[{
          RowBox[{"-", "a"}], ",", 
          RowBox[{"-", "b"}]}], "]"}], "]"}], "-", 
       RowBox[{
        RowBox[{"ExtrinsicKhh", "[", 
         RowBox[{
          RowBox[{"-", "f"}], ",", 
          RowBox[{"-", "g"}]}], "]"}], 
        RowBox[{
         RowBox[{"LieD", "[", 
          RowBox[{"u", "[", "c", "]"}], "]"}], "[", 
         RowBox[{
          RowBox[{"hh", "[", 
           RowBox[{
            RowBox[{"-", "a"}], ",", "f"}], "]"}], 
          RowBox[{"hh", "[", 
           RowBox[{
            RowBox[{"-", "b"}], ",", "g"}], "]"}]}], "]"}]}]}]}], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.571485772582898*^9, 3.5714858625324907`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"\[ScriptCapitalP]", "[", 
   RowBox[{
    RowBox[{"-", "a_"}], ",", 
    RowBox[{"-", "b_"}]}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"tmp2\[ScriptCapitalP]", "[", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "]"}], "/.", "rule\[ScriptCapitalP]"}], "//", 
   "Simplification"}]}]], "Input",
 CellChangeTimes->{{3.571485864328244*^9, 3.5714858996665688`*^9}, 
   3.571486298431748*^9, {3.571486357071773*^9, 3.571486362595199*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {" ", "c"},
           {"a", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[-$CellContext`a, $CellContext`c],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {" ", " "},
           {"b", "c"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[-$CellContext`b, -$CellContext`c],
    Editable->False]}], "+", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {"c", " "},
           {" ", "c"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[$CellContext`c, -$CellContext`c],
    Editable->False]}], "+", 
  InterpretationBox[
   StyleBox[GridBox[{
      {
       RowBox[{"R", "[", "D", "]"}], 
       StyleBox[GridBox[{
          {" ", " "},
          {"a", "b"}
         },
         GridBoxSpacings->{"Columns" -> {
             Offset[0.], {
              Offset[0.034999999999999996`]}, 
             Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
              Offset[0.]}}, "RowsIndexed" -> {}}],
        FontSize->9]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.034999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`Riccicd[-$CellContext`a, -$CellContext`b],
   Editable->False], "-", 
  RowBox[{"8", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Sij", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Sij[-$CellContext`a, -$CellContext`b],
    Editable->False]}], "+", 
  RowBox[{"4", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Sij", 
        StyleBox[GridBox[{
           {"c", " "},
           {" ", "c"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Sij[$CellContext`c, -$CellContext`c],
    Editable->False]}], "-", 
  RowBox[{"4", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox["\[Rho]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Rho][],
    Editable->False]}], "-", 
  FractionBox[
   InterpretationBox[
    StyleBox[
     RowBox[{
      SubscriptBox["D", "b"], 
      SubscriptBox["D", "a"], "\[Alpha]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`cd[-$CellContext`b][
     $CellContext`cd[-$CellContext`a][
      $CellContext`\[Alpha][]]],
    Editable->False], 
   InterpretationBox[
    StyleBox["\[Alpha]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Alpha][],
    Editable->False]], "-", 
  InterpretationBox[
   StyleBox[
    RowBox[{
     SubscriptBox["\[ScriptCapitalL]", "u"], GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   xAct`xTensor`LieD[
    $CellContext`u[$CellContext`a]][
    $CellContext`ExtrinsicKhh[-$CellContext`a, -$CellContext`b]],
   Editable->False]}]], "Output",
 CellChangeTimes->{{3.571485869924786*^9, 3.571485900124277*^9}, 
   3.571486298986257*^9, {3.571486345736025*^9, 3.5714863630803213`*^9}, 
   3.571490871999915*^9, 3.571899844336844*^9, 3.57269139505313*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["explicit time evolution", "Subsection",
 CellChangeTimes->{{3.571491994888405*^9, 3.571492003047883*^9}}],

Cell["\<\
Let\[CloseCurlyQuote]s perform a last change of variables to bring the time \
evolution equations in an explicit form. Therefore, remember that the time \
parameter $t$ is related to the lapse function \[Alpha] and shift vector \
\[Beta]^i :
t^a = \[Alpha] u^a + \[Beta]^a
Then the Lie derivative along u^a is given by 
\[ScriptCapitalL]_u = 1/\[Alpha] (\\partial_t - \[ScriptCapitalL]_\[Beta] )\
\>", "Text",
 CellChangeTimes->{{3.571492023630519*^9, 3.571492193945265*^9}, {
  3.571492413890341*^9, 3.571492414392048*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"DefParameter", "[", "t", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DefTensor", "[", 
  RowBox[{
   RowBox[{"\[Beta]i", "[", "a", "]"}], ",", "M", ",", 
   RowBox[{"OrthogonalTo", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"u", "[", 
      RowBox[{"-", "a"}], "]"}], "}"}]}], ",", 
   RowBox[{"ProjectedWith", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"hh", "[", 
      RowBox[{
       RowBox[{"-", "a"}], ",", "b"}], "]"}], "}"}]}]}], "]"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefParameter", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"parameter \"\>", "\[InvisibleSpace]", "t", 
   "\[InvisibleSpace]", "\<\". \"\>", "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm[
  "** ", xAct`xTensor`DefParameter, ": Defining ", 
   "parameter ", $CellContext`t, ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.571899854357095*^9, 3.5726913981920357`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"\[Beta]i", "[", "a", "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`\[Beta]i[$CellContext`a], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.571899854357095*^9, 3.5726913982083797`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ruleLieu", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"LieD", "[", 
     RowBox[{"u", "[", "c_", "]"}], "]"}], "[", "X_", "]"}], "\[RuleDelayed]", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"\[Alpha]", "[", "]"}]}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"LieD", "[", "t", "]"}], "[", "X", "]"}], "-", 
      RowBox[{
       RowBox[{"LieD", "[", 
        RowBox[{"\[Beta]i", "[", "c", "]"}], "]"}], "[", "X", "]"}]}], 
     ")"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[
    RowBox[{
     SubscriptBox["\[ScriptCapitalL]", "u"], "X_"}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   xAct`xTensor`LieD[
    $CellContext`u[
     Pattern[$CellContext`c, 
      Blank[]]]][
    Pattern[$CellContext`X, 
     Blank[]]],
   Editable->False], "\[RuleDelayed]", 
  FractionBox[
   RowBox[{
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["\[ScriptCapitalL]", 
        TagBox[
         InterpretationBox[
          StyleBox["t",
           ShowAutoStyles->False,
           AutoSpacing->False],
          $CellContext`t,
          Editable->False],
         Short]], "X"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     xAct`xTensor`LieD[$CellContext`t][$CellContext`X],
     Editable->False], "-", 
    InterpretationBox[
     StyleBox[
      RowBox[{
       SubscriptBox["\[ScriptCapitalL]", "\[Beta]i"], "X"}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     xAct`xTensor`LieD[
      $CellContext`\[Beta]i[$CellContext`c]][$CellContext`X],
     Editable->False]}], 
   InterpretationBox[
    StyleBox["\[Alpha]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Alpha][],
    Editable->False]]}]], "Output",
 CellChangeTimes->{3.5718998577021112`*^9, 3.572691399697658*^9}]
}, Open  ]],

Cell["\<\
We now impose this rule on the spatial projection of Einstein\
\[CloseCurlyQuote]s equations and solve for $\\partial_t K_{ij}$.\
\>", "Text",
 CellChangeTimes->{{3.57149241022152*^9, 3.5714924537232933`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DefTensor", "[", 
  RowBox[{
   RowBox[{"dtKij", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], ",", "M", ",", 
   RowBox[{"Symmetric", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "}"}], "]"}], ",", 
   RowBox[{"OrthogonalTo", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"u", "[", "a", "]"}], ",", 
      RowBox[{"u", "[", "b", "]"}]}], "}"}]}], ",", 
   RowBox[{"ProjectedWith", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"hh", "[", 
       RowBox[{"a", ",", 
        RowBox[{"-", "c"}]}], "]"}], ",", 
      RowBox[{"hh", "[", 
       RowBox[{"b", ",", 
        RowBox[{"-", "d"}]}], "]"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.571492275886189*^9, 3.571492300853351*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"** \"\>", "\[InvisibleSpace]", "DefTensor", 
   "\[InvisibleSpace]", "\<\": Defining \"\>", 
   "\[InvisibleSpace]", "\<\"tensor \"\>", "\[InvisibleSpace]", 
   RowBox[{"dtKij", "[", 
    RowBox[{
     RowBox[{"-", "a"}], ",", 
     RowBox[{"-", "b"}]}], "]"}], "\[InvisibleSpace]", "\<\". \"\>", 
   "\[InvisibleSpace]", "\<\"\"\>"}],
  SequenceForm["** ", xAct`xTensor`DefTensor, ": Defining ", "tensor ", 
   $CellContext`dtKij[-$CellContext`a, -$CellContext`b], ". ", ""],
  Editable->False]], "Print",
 CellChangeTimes->{3.571492302049062*^9, 3.5718998606123543`*^9, 
  3.572691400965912*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ruledtKij", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[ScriptCapitalP]", "[", 
         RowBox[{
          RowBox[{"-", "a"}], ",", 
          RowBox[{"-", "b"}]}], "]"}], "/.", "ruleLieu"}], ")"}], "\[Equal]", 
      "0"}], ",", 
     RowBox[{
      RowBox[{"LieD", "[", "t", "]"}], "[", 
      RowBox[{"ExtrinsicKhh", "[", 
       RowBox[{
        RowBox[{"-", "a"}], ",", 
        RowBox[{"-", "b"}]}], "]"}], "]"}]}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "1"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5714922340661707`*^9, 3.57149225657306*^9}, {
  3.571492306533511*^9, 3.571492321294832*^9}, {3.571492353624301*^9, 
  3.571492360774292*^9}}],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   StyleBox[
    RowBox[{
     SubscriptBox["\[ScriptCapitalL]", 
      TagBox[
       InterpretationBox[
        StyleBox["t",
         ShowAutoStyles->False,
         AutoSpacing->False],
        $CellContext`t,
        Editable->False],
       Short]], GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   xAct`xTensor`LieD[$CellContext`t][
    $CellContext`ExtrinsicKhh[-$CellContext`a, -$CellContext`b]],
   Editable->False], "\[Rule]", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "2"}], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"Kh", 
         StyleBox[GridBox[{
            {" ", "c"},
            {"a", " "}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                Offset[0.]}}, "RowsIndexed" -> {}}],
          FontSize->9]}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ExtrinsicKhh[-$CellContext`a, $CellContext`c],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"Kh", 
         StyleBox[GridBox[{
            {" ", " "},
            {"b", "c"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                Offset[0.]}}, "RowsIndexed" -> {}}],
          FontSize->9]}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ExtrinsicKhh[-$CellContext`b, -$CellContext`c],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox["\[Alpha]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[Alpha][],
     Editable->False]}], "+", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {"Kh", 
         StyleBox[GridBox[{
            {" ", " "},
            {"a", "b"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                Offset[0.]}}, "RowsIndexed" -> {}}],
          FontSize->9]}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ExtrinsicKhh[-$CellContext`a, -$CellContext`b],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"Kh", 
         StyleBox[GridBox[{
            {"c", " "},
            {" ", "c"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                Offset[0.]}}, "RowsIndexed" -> {}}],
          FontSize->9]}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`ExtrinsicKhh[$CellContext`c, -$CellContext`c],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox["\[Alpha]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[Alpha][],
     Editable->False]}], "+", 
   RowBox[{
    InterpretationBox[
     StyleBox[GridBox[{
        {
         RowBox[{"R", "[", "D", "]"}], 
         StyleBox[GridBox[{
            {" ", " "},
            {"a", "b"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                Offset[0.]}}, "RowsIndexed" -> {}}],
          FontSize->9]}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Riccicd[-$CellContext`a, -$CellContext`b],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox["\[Alpha]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[Alpha][],
     Editable->False]}], "-", 
   RowBox[{"8", " ", 
    InterpretationBox[
     StyleBox["GD",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`GD,
     Editable->False], " ", "\[Pi]", " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"Sij", 
         StyleBox[GridBox[{
            {" ", " "},
            {"a", "b"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                Offset[0.]}}, "RowsIndexed" -> {}}],
          FontSize->9]}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Sij[-$CellContext`a, -$CellContext`b],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox["\[Alpha]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[Alpha][],
     Editable->False]}], "+", 
   RowBox[{"4", " ", 
    InterpretationBox[
     StyleBox["GD",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`GD,
     Editable->False], " ", "\[Pi]", " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"h", 
         StyleBox[GridBox[{
            {" ", " "},
            {"a", "b"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                Offset[0.]}}, "RowsIndexed" -> {}}],
          FontSize->9]}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`hh[-$CellContext`a, -$CellContext`b],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"Sij", 
         StyleBox[GridBox[{
            {"c", " "},
            {" ", "c"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                Offset[0.]}}, "RowsIndexed" -> {}}],
          FontSize->9]}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`Sij[$CellContext`c, -$CellContext`c],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox["\[Alpha]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[Alpha][],
     Editable->False]}], "-", 
   RowBox[{"4", " ", 
    InterpretationBox[
     StyleBox["GD",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`GD,
     Editable->False], " ", "\[Pi]", " ", 
    InterpretationBox[
     StyleBox[GridBox[{
        {"h", 
         StyleBox[GridBox[{
            {" ", " "},
            {"a", "b"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                Offset[0.]}}, "RowsIndexed" -> {}}],
          FontSize->9]}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}],
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`hh[-$CellContext`a, -$CellContext`b],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox["\[Alpha]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[Alpha][],
     Editable->False], " ", 
    InterpretationBox[
     StyleBox["\[Rho]",
      ShowAutoStyles->False,
      AutoSpacing->False],
     $CellContext`\[Rho][],
     Editable->False]}], "-", 
   InterpretationBox[
    StyleBox[
     RowBox[{
      SubscriptBox["D", "b"], 
      SubscriptBox["D", "a"], "\[Alpha]"}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`cd[-$CellContext`b][
     $CellContext`cd[-$CellContext`a][
      $CellContext`\[Alpha][]]],
    Editable->False], "+", 
   InterpretationBox[
    StyleBox[
     RowBox[{
      SubscriptBox["\[ScriptCapitalL]", "\[Beta]i"], GridBox[{
        {"Kh", 
         StyleBox[GridBox[{
            {" ", " "},
            {"a", "b"}
           },
           GridBoxSpacings->{"Columns" -> {
               Offset[0.], {
                Offset[0.034999999999999996`]}, 
               Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
                Offset[0.]}}, "RowsIndexed" -> {}}],
          FontSize->9]}
       },
       GridBoxAlignment->{
        "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}},
          "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.034999999999999996`]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}]}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    xAct`xTensor`LieD[
     $CellContext`\[Beta]i[$CellContext`a]][
     $CellContext`ExtrinsicKhh[-$CellContext`a, -$CellContext`b]],
    Editable->False]}]}]], "Output",
 CellChangeTimes->{
  3.571492257129302*^9, {3.571492308875369*^9, 3.571492321842141*^9}, 
   3.571899865518251*^9, 3.572691403836198*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"dtKij", "[", 
   RowBox[{
    RowBox[{"-", "a_"}], ",", 
    RowBox[{"-", "b_"}]}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"LieD", "[", "t", "]"}], "[", 
    RowBox[{"ExtrinsicKhh", "[", 
     RowBox[{
      RowBox[{"-", "a"}], ",", 
      RowBox[{"-", "b"}]}], "]"}], "]"}], "/.", "ruledtKij"}]}]], "Input",
 CellChangeTimes->{{3.571492324509399*^9, 3.571492374961005*^9}, {
  3.571492471139482*^9, 3.571492474416257*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {" ", "c"},
           {"a", " "}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[-$CellContext`a, $CellContext`c],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {" ", " "},
           {"b", "c"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[-$CellContext`b, -$CellContext`c],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox["\[Alpha]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Alpha][],
    Editable->False]}], "+", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {"c", " "},
           {" ", "c"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`ExtrinsicKhh[$CellContext`c, -$CellContext`c],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox["\[Alpha]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Alpha][],
    Editable->False]}], "+", 
  RowBox[{
   InterpretationBox[
    StyleBox[GridBox[{
       {
        RowBox[{"R", "[", "D", "]"}], 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Riccicd[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox["\[Alpha]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Alpha][],
    Editable->False]}], "-", 
  RowBox[{"8", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Sij", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Sij[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox["\[Alpha]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Alpha][],
    Editable->False]}], "+", 
  RowBox[{"4", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"Sij", 
        StyleBox[GridBox[{
           {"c", " "},
           {" ", "c"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`Sij[$CellContext`c, -$CellContext`c],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox["\[Alpha]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Alpha][],
    Editable->False]}], "-", 
  RowBox[{"4", " ", 
   InterpretationBox[
    StyleBox["GD",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`GD,
    Editable->False], " ", "\[Pi]", " ", 
   InterpretationBox[
    StyleBox[GridBox[{
       {"h", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}],
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`hh[-$CellContext`a, -$CellContext`b],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox["\[Alpha]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Alpha][],
    Editable->False], " ", 
   InterpretationBox[
    StyleBox["\[Rho]",
     ShowAutoStyles->False,
     AutoSpacing->False],
    $CellContext`\[Rho][],
    Editable->False]}], "-", 
  InterpretationBox[
   StyleBox[
    RowBox[{
     SubscriptBox["D", "b"], 
     SubscriptBox["D", "a"], "\[Alpha]"}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   $CellContext`cd[-$CellContext`b][
    $CellContext`cd[-$CellContext`a][
     $CellContext`\[Alpha][]]],
   Editable->False], "+", 
  InterpretationBox[
   StyleBox[
    RowBox[{
     SubscriptBox["\[ScriptCapitalL]", "\[Beta]i"], GridBox[{
       {"Kh", 
        StyleBox[GridBox[{
           {" ", " "},
           {"a", "b"}
          },
          GridBoxSpacings->{"Columns" -> {
              Offset[0.], {
               Offset[0.034999999999999996`]}, 
              Offset[0.]}, "ColumnsIndexed" -> {}, "Rows" -> {{
               Offset[0.]}}, "RowsIndexed" -> {}}],
         FontSize->9]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Center}}, 
        "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.034999999999999996`]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}]}],
    ShowAutoStyles->False,
    AutoSpacing->False],
   xAct`xTensor`LieD[
    $CellContext`\[Beta]i[$CellContext`a]][
    $CellContext`ExtrinsicKhh[-$CellContext`a, -$CellContext`b]],
   Editable->False]}]], "Output",
 CellChangeTimes->{3.571899866836966*^9, 3.5726914046943283`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Export as tex files", "Section",
 CellChangeTimes->{{3.571491049389371*^9, 3.571491054717066*^9}}],

Cell["\<\
xtensor gives the possibility to export mathematical expressions as \
tex-files, which is very convenient for writing up notes/ papers/ etc. \
Therefore we have to load the package \[OpenCurlyDoubleQuote]TexAct\
\[CloseCurlyDoubleQuote].  Note, that we set the gravitiational constant to \
G_D=1 in the \[OpenCurlyDoubleQuote]printed\[CloseCurlyDoubleQuote] version.\
\>", "Text",
 CellChangeTimes->{{3.571490900944243*^9, 3.571491012415357*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "xAct/TexAct.m"}]], "Input",
 CellChangeTimes->{{3.571486701300829*^9, 3.5714867030822897`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.5714867037992897`*^9, 3.571490892899129*^9, 
  3.571899872041253*^9, 3.5726914076788816`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Package xAct`TexAct`  version \"\>", 
   "\[InvisibleSpace]", "\<\"0.3.0\"\>", "\[InvisibleSpace]", "\<\", \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"2012", ",", "5", ",", "5"}], "}"}]}],
  SequenceForm["Package xAct`TexAct`  version ", "0.3.0", ", ", {2012, 5, 5}],
  
  Editable->False]], "Print",
 CellChangeTimes->{3.5714867037992897`*^9, 3.571490892899129*^9, 
  3.571899872041253*^9, 3.57269140769475*^9}],

Cell[BoxData["\<\"CopyRight (C) 2008-2012, Thomas B\[ADoubleDot]ckdahl, Jose \
M. Martin-Garcia and Barry Wardell, under the General Public License.\"\>"], \
"Print",
 CellChangeTimes->{3.5714867037992897`*^9, 3.571490892899129*^9, 
  3.571899872041253*^9, 3.572691407698372*^9}],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.5714867037992897`*^9, 3.571490892899129*^9, 
  3.571899872041253*^9, 3.57269140770018*^9}],

Cell[BoxData["\<\"These packages come with ABSOLUTELY NO WARRANTY; for \
details type Disclaimer[]. This is free software, and you are welcome to \
redistribute it under certain conditions. See the General Public License for \
details.\"\>"], "Print",
 CellChangeTimes->{3.5714867037992897`*^9, 3.571490892899129*^9, 
  3.571899872041253*^9, 3.572691407701865*^9}],

Cell[BoxData["\<\"------------------------------------------------------------\
\"\>"], "Print",
 CellChangeTimes->{3.5714867037992897`*^9, 3.571490892899129*^9, 
  3.571899872041253*^9, 3.572691407703104*^9}]
}, Open  ]]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<TexFiles_Cartoon/Hamiltonian.tex\>\"", ",", 
    RowBox[{"TexPrint", "[", 
     RowBox[{
      RowBox[{"\[ScriptCapitalH]", "[", "]"}], "/.", 
      RowBox[{"GD", "\[RuleDelayed]", "1"}]}], "]"}], ",", "\"\<Text\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<TexFiles_Cartoon/Momentum.tex\>\"", ",", 
    RowBox[{"TexPrint", "[", 
     RowBox[{
      RowBox[{"\[ScriptCapitalM]", "[", 
       RowBox[{"-", "i"}], "]"}], "/.", 
      RowBox[{"GD", "\[RuleDelayed]", "1"}]}], "]"}], ",", "\"\<Text\>\""}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<TexFiles_Cartoon/dtKij.tex\>\"", ",", 
    RowBox[{"TexPrint", "[", 
     RowBox[{
      RowBox[{"dtKij", "[", 
       RowBox[{
        RowBox[{"-", "i"}], ",", 
        RowBox[{"-", "j"}]}], "]"}], "/.", 
      RowBox[{"GD", "\[RuleDelayed]", "1"}]}], "]"}], ",", "\"\<Text\>\""}], 
   "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.512210673395637*^9, 3.5122106764909267`*^9}, {
  3.5122108012543163`*^9, 3.512210801310646*^9}, {3.5122172890406847`*^9, 
  3.512217300143197*^9}, {3.515749000745455*^9, 3.515749004125379*^9}, {
  3.571486382856349*^9, 3.571486397351109*^9}, {3.571486428337179*^9, 
  3.571486429362389*^9}, {3.571486459523292*^9, 3.57148647391564*^9}, {
  3.5714865087428093`*^9, 3.5714865237257853`*^9}, {3.5714867522227383`*^9, 
  3.57148677698002*^9}, {3.571492483360283*^9, 3.571492484214876*^9}, {
  3.572691260552844*^9, 3.572691276168798*^9}}]
}, Open  ]]
},
WindowSize->{1277, 680},
WindowMargins->{{-23, Automatic}, {Automatic, -58}},
ShowSelection->True,
Magnification->1.5,
FrontEndVersion->"8.0 for Linux x86 (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 285, 5, 43, "Input"],
Cell[833, 27, 516, 9, 96, "Text"],
Cell[CellGroupData[{
Cell[1374, 40, 100, 1, 106, "Section"],
Cell[1477, 43, 197, 5, 43, "Text"],
Cell[CellGroupData[{
Cell[1699, 52, 427, 7, 71, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[2129, 61, 733, 13, 33, "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[2865, 76, 1000, 20, 33, "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[3868, 98, 754, 13, 33, "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[4625, 113, 709, 12, 33, "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[5337, 127, 690, 12, 33, "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[6030, 141, 725, 13, 33, "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[6758, 156, 1000, 20, 33, "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[7761, 178, 750, 13, 33, "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[8514, 193, 725, 13, 33, "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[9242, 208, 884, 15, 88, "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[10129, 225, 729, 13, 33, "Print",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}]
}, Open  ]],
Cell[10873, 241, 452, 9, 148, "Text"],
Cell[11328, 252, 543, 13, 98, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}]
}, Closed]],
Cell[CellGroupData[{
Cell[11908, 270, 287, 4, 59, "Section"],
Cell[CellGroupData[{
Cell[12220, 278, 170, 4, 55, "Subsection"],
Cell[12393, 284, 452, 8, 96, "Text"],
Cell[12848, 294, 615, 16, 43, "Input"],
Cell[13466, 312, 1092, 21, 71, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[CellGroupData[{
Cell[14583, 337, 1701, 28, 33, "Print"],
Cell[16287, 367, 1711, 28, 33, "Print"],
Cell[18001, 397, 1863, 33, 33, "Print"],
Cell[19867, 432, 1871, 33, 33, "Print"],
Cell[21741, 467, 1791, 31, 33, "Print"],
Cell[23535, 500, 1911, 34, 33, "Print"],
Cell[25449, 536, 1927, 35, 33, "Print"],
Cell[27379, 573, 1953, 35, 33, "Print"],
Cell[29335, 610, 1873, 33, 33, "Print"],
Cell[31211, 645, 1378, 20, 33, "Print"],
Cell[32592, 667, 1757, 29, 33, "Print"],
Cell[34352, 698, 1382, 20, 33, "Print"],
Cell[35737, 720, 1889, 34, 33, "Print"],
Cell[37629, 756, 1940, 34, 33, "Print"],
Cell[39572, 792, 1879, 33, 33, "Print"],
Cell[41454, 827, 1767, 29, 33, "Print"],
Cell[43224, 858, 1512, 24, 33, "Print"],
Cell[44739, 884, 1507, 24, 33, "Print"],
Cell[46249, 910, 1519, 24, 33, "Print"],
Cell[47771, 936, 1775, 29, 33, "Print"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[49595, 971, 167, 4, 41, "Subsection"],
Cell[49765, 977, 182, 4, 42, "Text"],
Cell[49950, 983, 1627, 41, 125, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[51580, 1026, 550, 11, 33, "Print"],
Cell[52133, 1039, 558, 9, 96, "Text"],
Cell[CellGroupData[{
Cell[52716, 1052, 713, 18, 43, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[53432, 1072, 1058, 22, 33, "Message",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}]
}, Open  ]],
Cell[CellGroupData[{
Cell[54527, 1099, 1105, 24, 33, "Print"],
Cell[55635, 1125, 1113, 24, 33, "Print"],
Cell[56751, 1151, 1031, 22, 33, "Print"],
Cell[57785, 1175, 1151, 25, 33, "Print"],
Cell[58939, 1202, 1169, 26, 33, "Print"],
Cell[60111, 1230, 1195, 26, 33, "Print"],
Cell[61309, 1258, 1113, 24, 33, "Print"],
Cell[62425, 1284, 620, 11, 49, "Print"],
Cell[63048, 1297, 997, 20, 49, "Print"],
Cell[64048, 1319, 624, 11, 49, "Print"],
Cell[64675, 1332, 1129, 25, 49, "Print"],
Cell[65807, 1359, 1180, 25, 49, "Print"],
Cell[66990, 1386, 1121, 24, 49, "Print"],
Cell[68114, 1412, 1009, 20, 49, "Print"],
Cell[69126, 1434, 755, 15, 49, "Print"],
Cell[69884, 1451, 747, 15, 49, "Print"],
Cell[70634, 1468, 759, 15, 49, "Print"],
Cell[71396, 1485, 1015, 20, 33, "Print"],
Cell[72414, 1507, 1135, 23, 33, "Print"],
Cell[73552, 1532, 1078, 21, 33, "Print"],
Cell[74633, 1555, 993, 20, 33, "Print"]
}, Open  ]],
Cell[75641, 1578, 369, 6, 70, "Text"],
Cell[CellGroupData[{
Cell[76035, 1588, 665, 20, 71, "Input"],
Cell[76703, 1610, 9952, 282, 56, "Output"],
Cell[86658, 1894, 10818, 314, 46, "Output"]
}, Open  ]],
Cell[97491, 2211, 270, 6, 43, "Input"],
Cell[97764, 2219, 261, 5, 69, "Text"],
Cell[98028, 2226, 1119, 26, 98, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[99150, 2254, 976, 19, 33, "Print"],
Cell[CellGroupData[{
Cell[100151, 2277, 101, 1, 40, "Subsubsection"],
Cell[100255, 2280, 996, 31, 71, "Input"]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[101312, 2318, 284, 6, 106, "Section"],
Cell[101599, 2326, 244, 5, 43, "Text"],
Cell[CellGroupData[{
Cell[101868, 2335, 229, 3, 55, "Subsection"],
Cell[102100, 2340, 469, 8, 96, "Text"],
Cell[CellGroupData[{
Cell[102594, 2352, 2767, 89, 233, "Input"],
Cell[CellGroupData[{
Cell[105386, 2445, 684, 14, 33, "Print"],
Cell[106073, 2461, 684, 14, 33, "Print"],
Cell[106760, 2477, 684, 14, 33, "Print"],
Cell[107447, 2493, 589, 11, 33, "Print"],
Cell[108039, 2506, 586, 11, 33, "Print"],
Cell[108628, 2519, 618, 12, 33, "Print"],
Cell[109249, 2533, 684, 14, 33, "Print"]
}, Open  ]]
}, Open  ]],
Cell[109960, 2551, 398, 8, 123, "Text"],
Cell[110361, 2561, 1914, 63, 98, "Input"],
Cell[112278, 2626, 269, 5, 96, "Text"],
Cell[CellGroupData[{
Cell[112572, 2635, 1830, 58, 98, "Input"],
Cell[114405, 2695, 3604, 105, 61, "Output"],
Cell[118012, 2802, 5727, 157, 61, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[123788, 2965, 199, 4, 55, "Subsection"],
Cell[123990, 2971, 199, 4, 42, "Text"],
Cell[CellGroupData[{
Cell[124214, 2979, 298, 8, 43, "Input"],
Cell[124515, 2989, 614, 13, 33, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[125166, 3007, 405, 12, 43, "Input"],
Cell[125574, 3021, 13236, 377, 56, "Output"]
}, Open  ]],
Cell[138825, 3401, 569, 10, 123, "Text"],
Cell[CellGroupData[{
Cell[139419, 3415, 780, 26, 71, "Input"],
Cell[CellGroupData[{
Cell[140224, 3445, 713, 15, 33, "Print"],
Cell[140940, 3462, 715, 15, 33, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[141704, 3483, 878, 25, 98, "Input"],
Cell[142585, 3510, 64492, 1831, 189, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[207114, 5346, 1040, 28, 98, "Input"],
Cell[208157, 5376, 41065, 1207, 130, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[249271, 6589, 114, 1, 55, "Subsection"],
Cell[249388, 6592, 247, 5, 69, "Text"],
Cell[CellGroupData[{
Cell[249660, 6601, 801, 17, 98, "Input"],
Cell[CellGroupData[{
Cell[250486, 6622, 593, 11, 33, "Print"],
Cell[251082, 6635, 593, 11, 33, "Print"],
Cell[251678, 6648, 585, 11, 33, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[252312, 6665, 535, 17, 43, "Input"],
Cell[252850, 6684, 10791, 300, 61, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[263678, 6989, 556, 13, 43, "Input"],
Cell[264237, 7004, 8832, 245, 61, "Output"]
}, Open  ]],
Cell[273084, 7252, 343, 6, 68, "Text"],
Cell[273430, 7260, 1103, 35, 71, "Input"],
Cell[CellGroupData[{
Cell[274558, 7299, 412, 10, 43, "Input"],
Cell[274973, 7311, 4878, 140, 46, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[279900, 7457, 107, 1, 55, "Subsection"],
Cell[280010, 7460, 215, 5, 69, "Text"],
Cell[CellGroupData[{
Cell[280250, 7469, 773, 17, 43, "Input"],
Cell[281026, 7488, 676, 13, 33, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[281739, 7506, 739, 22, 43, "Input"],
Cell[282481, 7530, 3570, 102, 46, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[286100, 7638, 140, 1, 55, "Subsection"],
Cell[286243, 7641, 550, 10, 148, "Text"],
Cell[CellGroupData[{
Cell[286818, 7655, 2611, 81, 268, "Input"],
Cell[CellGroupData[{
Cell[289454, 7740, 1194, 22, 49, "Print"],
Cell[290651, 7764, 1194, 22, 49, "Print"],
Cell[291848, 7788, 1182, 21, 49, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[293079, 7815, 719, 24, 64, "Input"],
Cell[293801, 7841, 12452, 365, 90, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[306290, 8211, 557, 16, 106, "Input"],
Cell[306850, 8229, 13563, 396, 133, "Output"]
}, Open  ]],
Cell[320428, 8628, 311, 5, 105, "Text"],
Cell[320742, 8635, 1461, 46, 147, "Input"],
Cell[CellGroupData[{
Cell[322228, 8685, 505, 14, 64, "Input"],
Cell[322736, 8701, 11491, 337, 90, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[334276, 9044, 111, 1, 82, "Subsection"],
Cell[334390, 9047, 534, 10, 222, "Text"],
Cell[CellGroupData[{
Cell[334949, 9061, 477, 13, 106, "Input"],
Cell[CellGroupData[{
Cell[335451, 9078, 498, 10, 49, "Print"],
Cell[335952, 9090, 542, 10, 49, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[336543, 9106, 503, 16, 64, "Input"],
Cell[337049, 9124, 1340, 48, 93, "Output"]
}, Open  ]],
Cell[338404, 9175, 219, 4, 64, "Text"],
Cell[CellGroupData[{
Cell[338648, 9183, 832, 26, 106, "Input"],
Cell[339483, 9211, 646, 14, 49, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[340166, 9230, 777, 23, 64, "Input"],
Cell[340946, 9255, 13901, 407, 112, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[354884, 9667, 467, 14, 64, "Input"],
Cell[355354, 9683, 12172, 365, 112, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[367587, 10055, 104, 1, 159, "Section"],
Cell[367694, 10058, 456, 7, 105, "Text"],
Cell[CellGroupData[{
Cell[368175, 10069, 125, 2, 64, "Input"],
Cell[CellGroupData[{
Cell[368325, 10075, 211, 3, 49, "Print"],
Cell[368539, 10080, 480, 11, 49, "Print"],
Cell[369022, 10093, 279, 4, 91, "Print"],
Cell[369304, 10099, 208, 3, 49, "Print"],
Cell[369515, 10104, 364, 5, 132, "Print"],
Cell[369882, 10111, 209, 3, 49, "Print"]
}, Open  ]]
}, Open  ]],
Cell[370118, 10118, 1588, 36, 147, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
